
glcdtimers_driver_InitializeTouchPanel:

;glcdtimers_driver.c,30 :: 		static void InitializeTouchPanel() {
;glcdtimers_driver.c,31 :: 		CMCON  |= 0x07;
	MOVLW       7
	IORWF       CMCON+0, 1 
;glcdtimers_driver.c,33 :: 		ADCON1 |= 0x0C; // AN4
	MOVLW       12
	IORWF       ADCON1+0, 1 
;glcdtimers_driver.c,34 :: 		ADC_Init();
	CALL        _ADC_Init+0, 0
;glcdtimers_driver.c,35 :: 		Glcd_Init();                                             // Initialize GLCD
	CALL        _Glcd_Init+0, 0
;glcdtimers_driver.c,36 :: 		Glcd_Fill(0);                                            // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;glcdtimers_driver.c,38 :: 		TP_Init(128, 64, 0, 1);                                  // Initialize touch panel
	MOVLW       128
	MOVWF       FARG_TP_Init_display_width+0 
	MOVLW       0
	MOVWF       FARG_TP_Init_display_width+1 
	MOVLW       64
	MOVWF       FARG_TP_Init_display_height+0 
	MOVLW       0
	MOVWF       FARG_TP_Init_display_height+1 
	CLRF        FARG_TP_Init_readX_ChNo+0 
	MOVLW       1
	MOVWF       FARG_TP_Init_readY_ChNo+0 
	CALL        _TP_Init+0, 0
;glcdtimers_driver.c,39 :: 		TP_Set_ADC_Threshold(900);                              // Set touch panel ADC threshold
	MOVLW       132
	MOVWF       FARG_TP_Set_ADC_Threshold_threshold+0 
	MOVLW       3
	MOVWF       FARG_TP_Set_ADC_Threshold_threshold+1 
	CALL        _TP_Set_ADC_Threshold+0, 0
;glcdtimers_driver.c,41 :: 		PenDown = 0;
	CLRF        _PenDown+0 
;glcdtimers_driver.c,42 :: 		PressedObject = 0;
	CLRF        _PressedObject+0 
	CLRF        _PressedObject+1 
;glcdtimers_driver.c,43 :: 		}
L_end_InitializeTouchPanel:
	RETURN      0
; end of glcdtimers_driver_InitializeTouchPanel

_Calibrate:

;glcdtimers_driver.c,45 :: 		void Calibrate() {
;glcdtimers_driver.c,47 :: 		Glcd_Dot(0,63,1);                                        // Draw bottom left dot
	CLRF        FARG_Glcd_Dot_x_pos+0 
	MOVLW       63
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_driver.c,48 :: 		Glcd_Write_Text("TOUCH BOTTOM LEFT",12,3,1);
	MOVLW       ?lstr1_glcdtimers_driver+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr1_glcdtimers_driver+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;glcdtimers_driver.c,49 :: 		TP_Calibrate_Bottom_Left();                              // Calibration of bottom left corner
	CALL        _TP_Calibrate_Bottom_Left+0, 0
;glcdtimers_driver.c,50 :: 		Delay_ms(1000);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Calibrate0:
	DECFSZ      R13, 1, 1
	BRA         L_Calibrate0
	DECFSZ      R12, 1, 1
	BRA         L_Calibrate0
	DECFSZ      R11, 1, 1
	BRA         L_Calibrate0
	NOP
;glcdtimers_driver.c,52 :: 		Glcd_Dot(0,63,0);                                        // Clear bottom left dot
	CLRF        FARG_Glcd_Dot_x_pos+0 
	MOVLW       63
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	CLRF        FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_driver.c,53 :: 		Glcd_Dot(127,0,1);                                       // Draw upper right dot
	MOVLW       127
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	CLRF        FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_driver.c,54 :: 		Glcd_Write_Text("                 ",12,3,1);
	MOVLW       ?lstr2_glcdtimers_driver+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr2_glcdtimers_driver+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;glcdtimers_driver.c,55 :: 		Glcd_Write_Text("TOUCH UPPER RIGHT",12,4,1);
	MOVLW       ?lstr3_glcdtimers_driver+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr3_glcdtimers_driver+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;glcdtimers_driver.c,56 :: 		TP_Calibrate_Upper_Right();                              // Calibration of upper right corner
	CALL        _TP_Calibrate_Upper_Right+0, 0
;glcdtimers_driver.c,58 :: 		Delay_ms(1000);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Calibrate1:
	DECFSZ      R13, 1, 1
	BRA         L_Calibrate1
	DECFSZ      R12, 1, 1
	BRA         L_Calibrate1
	DECFSZ      R11, 1, 1
	BRA         L_Calibrate1
	NOP
;glcdtimers_driver.c,59 :: 		}
L_end_Calibrate:
	RETURN      0
; end of _Calibrate

glcdtimers_driver_InitializeObjects:

;glcdtimers_driver.c,115 :: 		static void InitializeObjects() {
;glcdtimers_driver.c,116 :: 		Screen1.LabelsCount               = 13;
	MOVLW       13
	MOVWF       _Screen1+0 
	MOVLW       0
	MOVWF       _Screen1+1 
;glcdtimers_driver.c,117 :: 		Screen1.Labels                    = Screen0_Labels;
	MOVLW       _Screen0_Labels+0
	MOVWF       _Screen1+2 
	MOVLW       hi_addr(_Screen0_Labels+0)
	MOVWF       _Screen1+3 
;glcdtimers_driver.c,118 :: 		Screen1.CaptionButtonsCount       = 1;
	MOVLW       1
	MOVWF       _Screen1+4 
	MOVLW       0
	MOVWF       _Screen1+5 
;glcdtimers_driver.c,119 :: 		Screen1.CaptionButtons            = Screen0_CaptionButtons;
	MOVLW       _Screen0_CaptionButtons+0
	MOVWF       _Screen1+6 
	MOVLW       hi_addr(_Screen0_CaptionButtons+0)
	MOVWF       _Screen1+7 
;glcdtimers_driver.c,120 :: 		Screen0_Labels[0]        = &Label1;
	MOVLW       _Label1+0
	MOVWF       _Screen0_Labels+0 
	MOVLW       hi_addr(_Label1+0)
	MOVWF       _Screen0_Labels+1 
;glcdtimers_driver.c,121 :: 		Screen0_Labels[1]        = &Label2;
	MOVLW       _Label2+0
	MOVWF       _Screen0_Labels+2 
	MOVLW       hi_addr(_Label2+0)
	MOVWF       _Screen0_Labels+3 
;glcdtimers_driver.c,122 :: 		Screen0_Labels[2]        = &Label3;
	MOVLW       _Label3+0
	MOVWF       _Screen0_Labels+4 
	MOVLW       hi_addr(_Label3+0)
	MOVWF       _Screen0_Labels+5 
;glcdtimers_driver.c,123 :: 		Screen0_Labels[3]        = &Label4;
	MOVLW       _Label4+0
	MOVWF       _Screen0_Labels+6 
	MOVLW       hi_addr(_Label4+0)
	MOVWF       _Screen0_Labels+7 
;glcdtimers_driver.c,124 :: 		Screen0_Labels[4]        = &Label5;
	MOVLW       _Label5+0
	MOVWF       _Screen0_Labels+8 
	MOVLW       hi_addr(_Label5+0)
	MOVWF       _Screen0_Labels+9 
;glcdtimers_driver.c,125 :: 		Screen0_Labels[5]        = &Label6;
	MOVLW       _Label6+0
	MOVWF       _Screen0_Labels+10 
	MOVLW       hi_addr(_Label6+0)
	MOVWF       _Screen0_Labels+11 
;glcdtimers_driver.c,126 :: 		Screen0_Labels[6]        = &Label7;
	MOVLW       _Label7+0
	MOVWF       _Screen0_Labels+12 
	MOVLW       hi_addr(_Label7+0)
	MOVWF       _Screen0_Labels+13 
;glcdtimers_driver.c,127 :: 		Screen0_Labels[7]        = &Label8;
	MOVLW       _Label8+0
	MOVWF       _Screen0_Labels+14 
	MOVLW       hi_addr(_Label8+0)
	MOVWF       _Screen0_Labels+15 
;glcdtimers_driver.c,128 :: 		Screen0_Labels[8]        = &Label9;
	MOVLW       _Label9+0
	MOVWF       _Screen0_Labels+16 
	MOVLW       hi_addr(_Label9+0)
	MOVWF       _Screen0_Labels+17 
;glcdtimers_driver.c,129 :: 		Screen0_Labels[9]        = &Label10;
	MOVLW       _Label10+0
	MOVWF       _Screen0_Labels+18 
	MOVLW       hi_addr(_Label10+0)
	MOVWF       _Screen0_Labels+19 
;glcdtimers_driver.c,130 :: 		Screen0_Labels[10]        = &Label11;
	MOVLW       _Label11+0
	MOVWF       _Screen0_Labels+20 
	MOVLW       hi_addr(_Label11+0)
	MOVWF       _Screen0_Labels+21 
;glcdtimers_driver.c,131 :: 		Screen0_Labels[11]        = &Label12;
	MOVLW       _Label12+0
	MOVWF       _Screen0_Labels+22 
	MOVLW       hi_addr(_Label12+0)
	MOVWF       _Screen0_Labels+23 
;glcdtimers_driver.c,132 :: 		Screen0_Labels[12]        = &Label13;
	MOVLW       _Label13+0
	MOVWF       _Screen0_Labels+24 
	MOVLW       hi_addr(_Label13+0)
	MOVWF       _Screen0_Labels+25 
;glcdtimers_driver.c,134 :: 		Screen0_CaptionButtons[0]       = &CaptionButton1;
	MOVLW       _CaptionButton1+0
	MOVWF       _Screen0_CaptionButtons+0 
	MOVLW       hi_addr(_CaptionButton1+0)
	MOVWF       _Screen0_CaptionButtons+1 
;glcdtimers_driver.c,136 :: 		Label1.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label1+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label1+1 
;glcdtimers_driver.c,137 :: 		Label1.Left        = 0;
	CLRF        _Label1+2 
;glcdtimers_driver.c,138 :: 		Label1.Top         = 0;
	CLRF        _Label1+3 
;glcdtimers_driver.c,139 :: 		Label1.Width       = 48;
	MOVLW       48
	MOVWF       _Label1+4 
;glcdtimers_driver.c,140 :: 		Label1.Height      = 8;
	MOVLW       8
	MOVWF       _Label1+5 
;glcdtimers_driver.c,141 :: 		Label1.Caption     = Label1_Caption;
	MOVLW       _Label1_Caption+0
	MOVWF       _Label1+6 
	MOVLW       hi_addr(_Label1_Caption+0)
	MOVWF       _Label1+7 
;glcdtimers_driver.c,142 :: 		Label1.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label1+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label1+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label1+10 
;glcdtimers_driver.c,143 :: 		Label1.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label1+11 
;glcdtimers_driver.c,144 :: 		Label1.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label1+12 
;glcdtimers_driver.c,145 :: 		Label1.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label1+13 
;glcdtimers_driver.c,146 :: 		Label1.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label1+14 
;glcdtimers_driver.c,147 :: 		Label1.Visible     = 1;
	MOVLW       1
	MOVWF       _Label1+15 
;glcdtimers_driver.c,148 :: 		Label1.OnUpPtr     = 0;
	CLRF        _Label1+16 
	CLRF        _Label1+17 
	CLRF        _Label1+18 
	CLRF        _Label1+19 
;glcdtimers_driver.c,149 :: 		Label1.OnDownPtr   = 0;
	CLRF        _Label1+20 
	CLRF        _Label1+21 
	CLRF        _Label1+22 
	CLRF        _Label1+23 
;glcdtimers_driver.c,150 :: 		Label1.OnClickPtr  = 0;
	CLRF        _Label1+24 
	CLRF        _Label1+25 
	CLRF        _Label1+26 
	CLRF        _Label1+27 
;glcdtimers_driver.c,151 :: 		Label1.OnPressPtr  = 0;
	CLRF        _Label1+28 
	CLRF        _Label1+29 
	CLRF        _Label1+30 
	CLRF        _Label1+31 
;glcdtimers_driver.c,153 :: 		Label2.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label2+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label2+1 
;glcdtimers_driver.c,154 :: 		Label2.Left        = 0;
	CLRF        _Label2+2 
;glcdtimers_driver.c,155 :: 		Label2.Top         = 8;
	MOVLW       8
	MOVWF       _Label2+3 
;glcdtimers_driver.c,156 :: 		Label2.Width       = 48;
	MOVLW       48
	MOVWF       _Label2+4 
;glcdtimers_driver.c,157 :: 		Label2.Height      = 8;
	MOVLW       8
	MOVWF       _Label2+5 
;glcdtimers_driver.c,158 :: 		Label2.Caption     = Label2_Caption;
	MOVLW       _Label2_Caption+0
	MOVWF       _Label2+6 
	MOVLW       hi_addr(_Label2_Caption+0)
	MOVWF       _Label2+7 
;glcdtimers_driver.c,159 :: 		Label2.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label2+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label2+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label2+10 
;glcdtimers_driver.c,160 :: 		Label2.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label2+11 
;glcdtimers_driver.c,161 :: 		Label2.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label2+12 
;glcdtimers_driver.c,162 :: 		Label2.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label2+13 
;glcdtimers_driver.c,163 :: 		Label2.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label2+14 
;glcdtimers_driver.c,164 :: 		Label2.Visible     = 1;
	MOVLW       1
	MOVWF       _Label2+15 
;glcdtimers_driver.c,165 :: 		Label2.OnUpPtr     = 0;
	CLRF        _Label2+16 
	CLRF        _Label2+17 
	CLRF        _Label2+18 
	CLRF        _Label2+19 
;glcdtimers_driver.c,166 :: 		Label2.OnDownPtr   = 0;
	CLRF        _Label2+20 
	CLRF        _Label2+21 
	CLRF        _Label2+22 
	CLRF        _Label2+23 
;glcdtimers_driver.c,167 :: 		Label2.OnClickPtr  = 0;
	CLRF        _Label2+24 
	CLRF        _Label2+25 
	CLRF        _Label2+26 
	CLRF        _Label2+27 
;glcdtimers_driver.c,168 :: 		Label2.OnPressPtr  = 0;
	CLRF        _Label2+28 
	CLRF        _Label2+29 
	CLRF        _Label2+30 
	CLRF        _Label2+31 
;glcdtimers_driver.c,170 :: 		Label4.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label4+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label4+1 
;glcdtimers_driver.c,171 :: 		Label4.Left        = 0;
	CLRF        _Label4+2 
;glcdtimers_driver.c,172 :: 		Label4.Top         = 16;
	MOVLW       16
	MOVWF       _Label4+3 
;glcdtimers_driver.c,173 :: 		Label4.Width       = 48;
	MOVLW       48
	MOVWF       _Label4+4 
;glcdtimers_driver.c,174 :: 		Label4.Height      = 8;
	MOVLW       8
	MOVWF       _Label4+5 
;glcdtimers_driver.c,175 :: 		Label4.Caption     = Label4_Caption;
	MOVLW       _Label4_Caption+0
	MOVWF       _Label4+6 
	MOVLW       hi_addr(_Label4_Caption+0)
	MOVWF       _Label4+7 
;glcdtimers_driver.c,176 :: 		Label4.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label4+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label4+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label4+10 
;glcdtimers_driver.c,177 :: 		Label4.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label4+11 
;glcdtimers_driver.c,178 :: 		Label4.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label4+12 
;glcdtimers_driver.c,179 :: 		Label4.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label4+13 
;glcdtimers_driver.c,180 :: 		Label4.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label4+14 
;glcdtimers_driver.c,181 :: 		Label4.Visible     = 1;
	MOVLW       1
	MOVWF       _Label4+15 
;glcdtimers_driver.c,182 :: 		Label4.OnUpPtr     = 0;
	CLRF        _Label4+16 
	CLRF        _Label4+17 
	CLRF        _Label4+18 
	CLRF        _Label4+19 
;glcdtimers_driver.c,183 :: 		Label4.OnDownPtr   = 0;
	CLRF        _Label4+20 
	CLRF        _Label4+21 
	CLRF        _Label4+22 
	CLRF        _Label4+23 
;glcdtimers_driver.c,184 :: 		Label4.OnClickPtr  = 0;
	CLRF        _Label4+24 
	CLRF        _Label4+25 
	CLRF        _Label4+26 
	CLRF        _Label4+27 
;glcdtimers_driver.c,185 :: 		Label4.OnPressPtr  = 0;
	CLRF        _Label4+28 
	CLRF        _Label4+29 
	CLRF        _Label4+30 
	CLRF        _Label4+31 
;glcdtimers_driver.c,187 :: 		Label5.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label5+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label5+1 
;glcdtimers_driver.c,188 :: 		Label5.Left        = 0;
	CLRF        _Label5+2 
;glcdtimers_driver.c,189 :: 		Label5.Top         = 24;
	MOVLW       24
	MOVWF       _Label5+3 
;glcdtimers_driver.c,190 :: 		Label5.Width       = 48;
	MOVLW       48
	MOVWF       _Label5+4 
;glcdtimers_driver.c,191 :: 		Label5.Height      = 8;
	MOVLW       8
	MOVWF       _Label5+5 
;glcdtimers_driver.c,192 :: 		Label5.Caption     = Label5_Caption;
	MOVLW       _Label5_Caption+0
	MOVWF       _Label5+6 
	MOVLW       hi_addr(_Label5_Caption+0)
	MOVWF       _Label5+7 
;glcdtimers_driver.c,193 :: 		Label5.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label5+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label5+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label5+10 
;glcdtimers_driver.c,194 :: 		Label5.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label5+11 
;glcdtimers_driver.c,195 :: 		Label5.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label5+12 
;glcdtimers_driver.c,196 :: 		Label5.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label5+13 
;glcdtimers_driver.c,197 :: 		Label5.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label5+14 
;glcdtimers_driver.c,198 :: 		Label5.Visible     = 1;
	MOVLW       1
	MOVWF       _Label5+15 
;glcdtimers_driver.c,199 :: 		Label5.OnUpPtr     = 0;
	CLRF        _Label5+16 
	CLRF        _Label5+17 
	CLRF        _Label5+18 
	CLRF        _Label5+19 
;glcdtimers_driver.c,200 :: 		Label5.OnDownPtr   = 0;
	CLRF        _Label5+20 
	CLRF        _Label5+21 
	CLRF        _Label5+22 
	CLRF        _Label5+23 
;glcdtimers_driver.c,201 :: 		Label5.OnClickPtr  = 0;
	CLRF        _Label5+24 
	CLRF        _Label5+25 
	CLRF        _Label5+26 
	CLRF        _Label5+27 
;glcdtimers_driver.c,202 :: 		Label5.OnPressPtr  = 0;
	CLRF        _Label5+28 
	CLRF        _Label5+29 
	CLRF        _Label5+30 
	CLRF        _Label5+31 
;glcdtimers_driver.c,204 :: 		Label3.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label3+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label3+1 
;glcdtimers_driver.c,205 :: 		Label3.Left        = 0;
	CLRF        _Label3+2 
;glcdtimers_driver.c,206 :: 		Label3.Top         = 32;
	MOVLW       32
	MOVWF       _Label3+3 
;glcdtimers_driver.c,207 :: 		Label3.Width       = 48;
	MOVLW       48
	MOVWF       _Label3+4 
;glcdtimers_driver.c,208 :: 		Label3.Height      = 8;
	MOVLW       8
	MOVWF       _Label3+5 
;glcdtimers_driver.c,209 :: 		Label3.Caption     = Label3_Caption;
	MOVLW       _Label3_Caption+0
	MOVWF       _Label3+6 
	MOVLW       hi_addr(_Label3_Caption+0)
	MOVWF       _Label3+7 
;glcdtimers_driver.c,210 :: 		Label3.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label3+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label3+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label3+10 
;glcdtimers_driver.c,211 :: 		Label3.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label3+11 
;glcdtimers_driver.c,212 :: 		Label3.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label3+12 
;glcdtimers_driver.c,213 :: 		Label3.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label3+13 
;glcdtimers_driver.c,214 :: 		Label3.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label3+14 
;glcdtimers_driver.c,215 :: 		Label3.Visible     = 1;
	MOVLW       1
	MOVWF       _Label3+15 
;glcdtimers_driver.c,216 :: 		Label3.OnUpPtr     = 0;
	CLRF        _Label3+16 
	CLRF        _Label3+17 
	CLRF        _Label3+18 
	CLRF        _Label3+19 
;glcdtimers_driver.c,217 :: 		Label3.OnDownPtr   = 0;
	CLRF        _Label3+20 
	CLRF        _Label3+21 
	CLRF        _Label3+22 
	CLRF        _Label3+23 
;glcdtimers_driver.c,218 :: 		Label3.OnClickPtr  = 0;
	CLRF        _Label3+24 
	CLRF        _Label3+25 
	CLRF        _Label3+26 
	CLRF        _Label3+27 
;glcdtimers_driver.c,219 :: 		Label3.OnPressPtr  = 0;
	CLRF        _Label3+28 
	CLRF        _Label3+29 
	CLRF        _Label3+30 
	CLRF        _Label3+31 
;glcdtimers_driver.c,221 :: 		Label6.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label6+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label6+1 
;glcdtimers_driver.c,222 :: 		Label6.Left        = 0;
	CLRF        _Label6+2 
;glcdtimers_driver.c,223 :: 		Label6.Top         = 58;
	MOVLW       58
	MOVWF       _Label6+3 
;glcdtimers_driver.c,224 :: 		Label6.Width       = 72;
	MOVLW       72
	MOVWF       _Label6+4 
;glcdtimers_driver.c,225 :: 		Label6.Height      = 8;
	MOVLW       8
	MOVWF       _Label6+5 
;glcdtimers_driver.c,226 :: 		Label6.Caption     = Label6_Caption;
	MOVLW       _Label6_Caption+0
	MOVWF       _Label6+6 
	MOVLW       hi_addr(_Label6_Caption+0)
	MOVWF       _Label6+7 
;glcdtimers_driver.c,227 :: 		Label6.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label6+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label6+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label6+10 
;glcdtimers_driver.c,228 :: 		Label6.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label6+11 
;glcdtimers_driver.c,229 :: 		Label6.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label6+12 
;glcdtimers_driver.c,230 :: 		Label6.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label6+13 
;glcdtimers_driver.c,231 :: 		Label6.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label6+14 
;glcdtimers_driver.c,232 :: 		Label6.Visible     = 1;
	MOVLW       1
	MOVWF       _Label6+15 
;glcdtimers_driver.c,233 :: 		Label6.OnUpPtr     = 0;
	CLRF        _Label6+16 
	CLRF        _Label6+17 
	CLRF        _Label6+18 
	CLRF        _Label6+19 
;glcdtimers_driver.c,234 :: 		Label6.OnDownPtr   = 0;
	CLRF        _Label6+20 
	CLRF        _Label6+21 
	CLRF        _Label6+22 
	CLRF        _Label6+23 
;glcdtimers_driver.c,235 :: 		Label6.OnClickPtr  = 0;
	CLRF        _Label6+24 
	CLRF        _Label6+25 
	CLRF        _Label6+26 
	CLRF        _Label6+27 
;glcdtimers_driver.c,236 :: 		Label6.OnPressPtr  = 0;
	CLRF        _Label6+28 
	CLRF        _Label6+29 
	CLRF        _Label6+30 
	CLRF        _Label6+31 
;glcdtimers_driver.c,238 :: 		Label7.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label7+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label7+1 
;glcdtimers_driver.c,239 :: 		Label7.Left        = 0;
	CLRF        _Label7+2 
;glcdtimers_driver.c,240 :: 		Label7.Top         = 40;
	MOVLW       40
	MOVWF       _Label7+3 
;glcdtimers_driver.c,241 :: 		Label7.Width       = 48;
	MOVLW       48
	MOVWF       _Label7+4 
;glcdtimers_driver.c,242 :: 		Label7.Height      = 8;
	MOVLW       8
	MOVWF       _Label7+5 
;glcdtimers_driver.c,243 :: 		Label7.Caption     = Label7_Caption;
	MOVLW       _Label7_Caption+0
	MOVWF       _Label7+6 
	MOVLW       hi_addr(_Label7_Caption+0)
	MOVWF       _Label7+7 
;glcdtimers_driver.c,244 :: 		Label7.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label7+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label7+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label7+10 
;glcdtimers_driver.c,245 :: 		Label7.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label7+11 
;glcdtimers_driver.c,246 :: 		Label7.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label7+12 
;glcdtimers_driver.c,247 :: 		Label7.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label7+13 
;glcdtimers_driver.c,248 :: 		Label7.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label7+14 
;glcdtimers_driver.c,249 :: 		Label7.Visible     = 1;
	MOVLW       1
	MOVWF       _Label7+15 
;glcdtimers_driver.c,250 :: 		Label7.OnUpPtr     = 0;
	CLRF        _Label7+16 
	CLRF        _Label7+17 
	CLRF        _Label7+18 
	CLRF        _Label7+19 
;glcdtimers_driver.c,251 :: 		Label7.OnDownPtr   = 0;
	CLRF        _Label7+20 
	CLRF        _Label7+21 
	CLRF        _Label7+22 
	CLRF        _Label7+23 
;glcdtimers_driver.c,252 :: 		Label7.OnClickPtr  = 0;
	CLRF        _Label7+24 
	CLRF        _Label7+25 
	CLRF        _Label7+26 
	CLRF        _Label7+27 
;glcdtimers_driver.c,253 :: 		Label7.OnPressPtr  = 0;
	CLRF        _Label7+28 
	CLRF        _Label7+29 
	CLRF        _Label7+30 
	CLRF        _Label7+31 
;glcdtimers_driver.c,255 :: 		Label8.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label8+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label8+1 
;glcdtimers_driver.c,256 :: 		Label8.Left        = 57;
	MOVLW       57
	MOVWF       _Label8+2 
;glcdtimers_driver.c,257 :: 		Label8.Top         = 8;
	MOVLW       8
	MOVWF       _Label8+3 
;glcdtimers_driver.c,258 :: 		Label8.Width       = 3;
	MOVLW       3
	MOVWF       _Label8+4 
;glcdtimers_driver.c,259 :: 		Label8.Height      = 8;
	MOVLW       8
	MOVWF       _Label8+5 
;glcdtimers_driver.c,260 :: 		Label8.Caption     = Label8_Caption;
	MOVLW       _Label8_Caption+0
	MOVWF       _Label8+6 
	MOVLW       hi_addr(_Label8_Caption+0)
	MOVWF       _Label8+7 
;glcdtimers_driver.c,261 :: 		Label8.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label8+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label8+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label8+10 
;glcdtimers_driver.c,262 :: 		Label8.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label8+11 
;glcdtimers_driver.c,263 :: 		Label8.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label8+12 
;glcdtimers_driver.c,264 :: 		Label8.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label8+13 
;glcdtimers_driver.c,265 :: 		Label8.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label8+14 
;glcdtimers_driver.c,266 :: 		Label8.Visible     = 1;
	MOVLW       1
	MOVWF       _Label8+15 
;glcdtimers_driver.c,267 :: 		Label8.OnUpPtr     = 0;
	CLRF        _Label8+16 
	CLRF        _Label8+17 
	CLRF        _Label8+18 
	CLRF        _Label8+19 
;glcdtimers_driver.c,268 :: 		Label8.OnDownPtr   = 0;
	CLRF        _Label8+20 
	CLRF        _Label8+21 
	CLRF        _Label8+22 
	CLRF        _Label8+23 
;glcdtimers_driver.c,269 :: 		Label8.OnClickPtr  = 0;
	CLRF        _Label8+24 
	CLRF        _Label8+25 
	CLRF        _Label8+26 
	CLRF        _Label8+27 
;glcdtimers_driver.c,270 :: 		Label8.OnPressPtr  = 0;
	CLRF        _Label8+28 
	CLRF        _Label8+29 
	CLRF        _Label8+30 
	CLRF        _Label8+31 
;glcdtimers_driver.c,272 :: 		Label9.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label9+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label9+1 
;glcdtimers_driver.c,273 :: 		Label9.Left        = 57;
	MOVLW       57
	MOVWF       _Label9+2 
;glcdtimers_driver.c,274 :: 		Label9.Top         = 16;
	MOVLW       16
	MOVWF       _Label9+3 
;glcdtimers_driver.c,275 :: 		Label9.Width       = 3;
	MOVLW       3
	MOVWF       _Label9+4 
;glcdtimers_driver.c,276 :: 		Label9.Height      = 8;
	MOVLW       8
	MOVWF       _Label9+5 
;glcdtimers_driver.c,277 :: 		Label9.Caption     = Label9_Caption;
	MOVLW       _Label9_Caption+0
	MOVWF       _Label9+6 
	MOVLW       hi_addr(_Label9_Caption+0)
	MOVWF       _Label9+7 
;glcdtimers_driver.c,278 :: 		Label9.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label9+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label9+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label9+10 
;glcdtimers_driver.c,279 :: 		Label9.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label9+11 
;glcdtimers_driver.c,280 :: 		Label9.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label9+12 
;glcdtimers_driver.c,281 :: 		Label9.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label9+13 
;glcdtimers_driver.c,282 :: 		Label9.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label9+14 
;glcdtimers_driver.c,283 :: 		Label9.Visible     = 1;
	MOVLW       1
	MOVWF       _Label9+15 
;glcdtimers_driver.c,284 :: 		Label9.OnUpPtr     = 0;
	CLRF        _Label9+16 
	CLRF        _Label9+17 
	CLRF        _Label9+18 
	CLRF        _Label9+19 
;glcdtimers_driver.c,285 :: 		Label9.OnDownPtr   = 0;
	CLRF        _Label9+20 
	CLRF        _Label9+21 
	CLRF        _Label9+22 
	CLRF        _Label9+23 
;glcdtimers_driver.c,286 :: 		Label9.OnClickPtr  = 0;
	CLRF        _Label9+24 
	CLRF        _Label9+25 
	CLRF        _Label9+26 
	CLRF        _Label9+27 
;glcdtimers_driver.c,287 :: 		Label9.OnPressPtr  = 0;
	CLRF        _Label9+28 
	CLRF        _Label9+29 
	CLRF        _Label9+30 
	CLRF        _Label9+31 
;glcdtimers_driver.c,289 :: 		Label10.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label10+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label10+1 
;glcdtimers_driver.c,290 :: 		Label10.Left        = 57;
	MOVLW       57
	MOVWF       _Label10+2 
;glcdtimers_driver.c,291 :: 		Label10.Top         = 24;
	MOVLW       24
	MOVWF       _Label10+3 
;glcdtimers_driver.c,292 :: 		Label10.Width       = 3;
	MOVLW       3
	MOVWF       _Label10+4 
;glcdtimers_driver.c,293 :: 		Label10.Height      = 8;
	MOVLW       8
	MOVWF       _Label10+5 
;glcdtimers_driver.c,294 :: 		Label10.Caption     = Label10_Caption;
	MOVLW       _Label10_Caption+0
	MOVWF       _Label10+6 
	MOVLW       hi_addr(_Label10_Caption+0)
	MOVWF       _Label10+7 
;glcdtimers_driver.c,295 :: 		Label10.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label10+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label10+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label10+10 
;glcdtimers_driver.c,296 :: 		Label10.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label10+11 
;glcdtimers_driver.c,297 :: 		Label10.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label10+12 
;glcdtimers_driver.c,298 :: 		Label10.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label10+13 
;glcdtimers_driver.c,299 :: 		Label10.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label10+14 
;glcdtimers_driver.c,300 :: 		Label10.Visible     = 1;
	MOVLW       1
	MOVWF       _Label10+15 
;glcdtimers_driver.c,301 :: 		Label10.OnUpPtr     = 0;
	CLRF        _Label10+16 
	CLRF        _Label10+17 
	CLRF        _Label10+18 
	CLRF        _Label10+19 
;glcdtimers_driver.c,302 :: 		Label10.OnDownPtr   = 0;
	CLRF        _Label10+20 
	CLRF        _Label10+21 
	CLRF        _Label10+22 
	CLRF        _Label10+23 
;glcdtimers_driver.c,303 :: 		Label10.OnClickPtr  = 0;
	CLRF        _Label10+24 
	CLRF        _Label10+25 
	CLRF        _Label10+26 
	CLRF        _Label10+27 
;glcdtimers_driver.c,304 :: 		Label10.OnPressPtr  = 0;
	CLRF        _Label10+28 
	CLRF        _Label10+29 
	CLRF        _Label10+30 
	CLRF        _Label10+31 
;glcdtimers_driver.c,306 :: 		Label11.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label11+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label11+1 
;glcdtimers_driver.c,307 :: 		Label11.Left        = 57;
	MOVLW       57
	MOVWF       _Label11+2 
;glcdtimers_driver.c,308 :: 		Label11.Top         = 32;
	MOVLW       32
	MOVWF       _Label11+3 
;glcdtimers_driver.c,309 :: 		Label11.Width       = 3;
	MOVLW       3
	MOVWF       _Label11+4 
;glcdtimers_driver.c,310 :: 		Label11.Height      = 8;
	MOVLW       8
	MOVWF       _Label11+5 
;glcdtimers_driver.c,311 :: 		Label11.Caption     = Label11_Caption;
	MOVLW       _Label11_Caption+0
	MOVWF       _Label11+6 
	MOVLW       hi_addr(_Label11_Caption+0)
	MOVWF       _Label11+7 
;glcdtimers_driver.c,312 :: 		Label11.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label11+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label11+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label11+10 
;glcdtimers_driver.c,313 :: 		Label11.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label11+11 
;glcdtimers_driver.c,314 :: 		Label11.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label11+12 
;glcdtimers_driver.c,315 :: 		Label11.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label11+13 
;glcdtimers_driver.c,316 :: 		Label11.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label11+14 
;glcdtimers_driver.c,317 :: 		Label11.Visible     = 1;
	MOVLW       1
	MOVWF       _Label11+15 
;glcdtimers_driver.c,318 :: 		Label11.OnUpPtr     = 0;
	CLRF        _Label11+16 
	CLRF        _Label11+17 
	CLRF        _Label11+18 
	CLRF        _Label11+19 
;glcdtimers_driver.c,319 :: 		Label11.OnDownPtr   = 0;
	CLRF        _Label11+20 
	CLRF        _Label11+21 
	CLRF        _Label11+22 
	CLRF        _Label11+23 
;glcdtimers_driver.c,320 :: 		Label11.OnClickPtr  = 0;
	CLRF        _Label11+24 
	CLRF        _Label11+25 
	CLRF        _Label11+26 
	CLRF        _Label11+27 
;glcdtimers_driver.c,321 :: 		Label11.OnPressPtr  = 0;
	CLRF        _Label11+28 
	CLRF        _Label11+29 
	CLRF        _Label11+30 
	CLRF        _Label11+31 
;glcdtimers_driver.c,323 :: 		Label12.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label12+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label12+1 
;glcdtimers_driver.c,324 :: 		Label12.Left        = 57;
	MOVLW       57
	MOVWF       _Label12+2 
;glcdtimers_driver.c,325 :: 		Label12.Top         = 40;
	MOVLW       40
	MOVWF       _Label12+3 
;glcdtimers_driver.c,326 :: 		Label12.Width       = 3;
	MOVLW       3
	MOVWF       _Label12+4 
;glcdtimers_driver.c,327 :: 		Label12.Height      = 8;
	MOVLW       8
	MOVWF       _Label12+5 
;glcdtimers_driver.c,328 :: 		Label12.Caption     = Label12_Caption;
	MOVLW       _Label12_Caption+0
	MOVWF       _Label12+6 
	MOVLW       hi_addr(_Label12_Caption+0)
	MOVWF       _Label12+7 
;glcdtimers_driver.c,329 :: 		Label12.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label12+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label12+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label12+10 
;glcdtimers_driver.c,330 :: 		Label12.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label12+11 
;glcdtimers_driver.c,331 :: 		Label12.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label12+12 
;glcdtimers_driver.c,332 :: 		Label12.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label12+13 
;glcdtimers_driver.c,333 :: 		Label12.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label12+14 
;glcdtimers_driver.c,334 :: 		Label12.Visible     = 1;
	MOVLW       1
	MOVWF       _Label12+15 
;glcdtimers_driver.c,335 :: 		Label12.OnUpPtr     = 0;
	CLRF        _Label12+16 
	CLRF        _Label12+17 
	CLRF        _Label12+18 
	CLRF        _Label12+19 
;glcdtimers_driver.c,336 :: 		Label12.OnDownPtr   = 0;
	CLRF        _Label12+20 
	CLRF        _Label12+21 
	CLRF        _Label12+22 
	CLRF        _Label12+23 
;glcdtimers_driver.c,337 :: 		Label12.OnClickPtr  = 0;
	CLRF        _Label12+24 
	CLRF        _Label12+25 
	CLRF        _Label12+26 
	CLRF        _Label12+27 
;glcdtimers_driver.c,338 :: 		Label12.OnPressPtr  = 0;
	CLRF        _Label12+28 
	CLRF        _Label12+29 
	CLRF        _Label12+30 
	CLRF        _Label12+31 
;glcdtimers_driver.c,340 :: 		Label13.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _Label13+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _Label13+1 
;glcdtimers_driver.c,341 :: 		Label13.Left        = 57;
	MOVLW       57
	MOVWF       _Label13+2 
;glcdtimers_driver.c,342 :: 		Label13.Top         = 0;
	CLRF        _Label13+3 
;glcdtimers_driver.c,343 :: 		Label13.Width       = 3;
	MOVLW       3
	MOVWF       _Label13+4 
;glcdtimers_driver.c,344 :: 		Label13.Height      = 8;
	MOVLW       8
	MOVWF       _Label13+5 
;glcdtimers_driver.c,345 :: 		Label13.Caption     = Label13_Caption;
	MOVLW       _Label13_Caption+0
	MOVWF       _Label13+6 
	MOVLW       hi_addr(_Label13_Caption+0)
	MOVWF       _Label13+7 
;glcdtimers_driver.c,346 :: 		Label13.FontName    = Font_Glcd_Character8x7;
	MOVLW       _Font_Glcd_Character8x7+0
	MOVWF       _Label13+8 
	MOVLW       hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label13+9 
	MOVLW       higher_addr(_Font_Glcd_Character8x7+0)
	MOVWF       _Label13+10 
;glcdtimers_driver.c,347 :: 		Label13.FontWidth   = 8;
	MOVLW       8
	MOVWF       _Label13+11 
;glcdtimers_driver.c,348 :: 		Label13.FontHeight  = 7;
	MOVLW       7
	MOVWF       _Label13+12 
;glcdtimers_driver.c,349 :: 		Label13.FontOffset  = 32;
	MOVLW       32
	MOVWF       _Label13+13 
;glcdtimers_driver.c,350 :: 		Label13.FontColor   = _clDraw;
	MOVLW       1
	MOVWF       _Label13+14 
;glcdtimers_driver.c,351 :: 		Label13.Visible     = 1;
	MOVLW       1
	MOVWF       _Label13+15 
;glcdtimers_driver.c,352 :: 		Label13.OnUpPtr     = 0;
	CLRF        _Label13+16 
	CLRF        _Label13+17 
	CLRF        _Label13+18 
	CLRF        _Label13+19 
;glcdtimers_driver.c,353 :: 		Label13.OnDownPtr   = 0;
	CLRF        _Label13+20 
	CLRF        _Label13+21 
	CLRF        _Label13+22 
	CLRF        _Label13+23 
;glcdtimers_driver.c,354 :: 		Label13.OnClickPtr  = 0;
	CLRF        _Label13+24 
	CLRF        _Label13+25 
	CLRF        _Label13+26 
	CLRF        _Label13+27 
;glcdtimers_driver.c,355 :: 		Label13.OnPressPtr  = 0;
	CLRF        _Label13+28 
	CLRF        _Label13+29 
	CLRF        _Label13+30 
	CLRF        _Label13+31 
;glcdtimers_driver.c,357 :: 		CaptionButton1.OwnerScreen = &Screen1;
	MOVLW       _Screen1+0
	MOVWF       _CaptionButton1+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       _CaptionButton1+1 
;glcdtimers_driver.c,358 :: 		CaptionButton1.Left        = 78;
	MOVLW       78
	MOVWF       _CaptionButton1+2 
;glcdtimers_driver.c,359 :: 		CaptionButton1.Top         = 3;
	MOVLW       3
	MOVWF       _CaptionButton1+3 
;glcdtimers_driver.c,360 :: 		CaptionButton1.Width       = 38;
	MOVLW       38
	MOVWF       _CaptionButton1+4 
;glcdtimers_driver.c,361 :: 		CaptionButton1.Height      = 16;
	MOVLW       16
	MOVWF       _CaptionButton1+5 
;glcdtimers_driver.c,362 :: 		CaptionButton1.BorderWidth = 3;
	MOVLW       3
	MOVWF       _CaptionButton1+6 
;glcdtimers_driver.c,363 :: 		CaptionButton1.Caption     = CaptionButton1_Caption;
	MOVLW       _CaptionButton1_Caption+0
	MOVWF       _CaptionButton1+7 
	MOVLW       hi_addr(_CaptionButton1_Caption+0)
	MOVWF       _CaptionButton1+8 
;glcdtimers_driver.c,364 :: 		CaptionButton1.FontName    = Font_Glcd_5x7;
	MOVLW       _Font_Glcd_5x7+0
	MOVWF       _CaptionButton1+9 
	MOVLW       hi_addr(_Font_Glcd_5x7+0)
	MOVWF       _CaptionButton1+10 
	MOVLW       higher_addr(_Font_Glcd_5x7+0)
	MOVWF       _CaptionButton1+11 
;glcdtimers_driver.c,365 :: 		CaptionButton1.FontWidth   = 5;
	MOVLW       5
	MOVWF       _CaptionButton1+12 
;glcdtimers_driver.c,366 :: 		CaptionButton1.FontHeight  = 7;
	MOVLW       7
	MOVWF       _CaptionButton1+13 
;glcdtimers_driver.c,367 :: 		CaptionButton1.FontOffset  = 32;
	MOVLW       32
	MOVWF       _CaptionButton1+14 
;glcdtimers_driver.c,368 :: 		CaptionButton1.FontColor   = _clInvert;
	MOVLW       2
	MOVWF       _CaptionButton1+15 
;glcdtimers_driver.c,369 :: 		CaptionButton1.Visible     = 1;
	MOVLW       1
	MOVWF       _CaptionButton1+16 
;glcdtimers_driver.c,370 :: 		CaptionButton1.OnUpPtr     = 0;
	CLRF        _CaptionButton1+17 
	CLRF        _CaptionButton1+18 
	CLRF        _CaptionButton1+19 
	CLRF        _CaptionButton1+20 
;glcdtimers_driver.c,371 :: 		CaptionButton1.OnDownPtr   = 0;
	CLRF        _CaptionButton1+21 
	CLRF        _CaptionButton1+22 
	CLRF        _CaptionButton1+23 
	CLRF        _CaptionButton1+24 
;glcdtimers_driver.c,372 :: 		CaptionButton1.OnClickPtr  = CaptionButton1Click;
	MOVLW       _CaptionButton1Click+0
	MOVWF       _CaptionButton1+25 
	MOVLW       hi_addr(_CaptionButton1Click+0)
	MOVWF       _CaptionButton1+26 
	MOVLW       0
	MOVWF       _CaptionButton1+27 
	MOVLW       0
	MOVWF       _CaptionButton1+28 
;glcdtimers_driver.c,373 :: 		CaptionButton1.OnPressPtr  = 0;
	CLRF        _CaptionButton1+29 
	CLRF        _CaptionButton1+30 
	CLRF        _CaptionButton1+31 
	CLRF        _CaptionButton1+32 
;glcdtimers_driver.c,374 :: 		}
L_end_InitializeObjects:
	RETURN      0
; end of glcdtimers_driver_InitializeObjects

glcdtimers_driver_IsInsideObject:

;glcdtimers_driver.c,376 :: 		static char IsInsideObject (unsigned int X, unsigned int Y, char Left, char Top, char Width, char Height) { // static
;glcdtimers_driver.c,377 :: 		if ( (Left<= X) && (Left+ Width - 1 >= X) &&
	MOVLW       0
	SUBWF       FARG_glcdtimers_driver_IsInsideObject_X+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_IsInsideObject63
	MOVF        FARG_glcdtimers_driver_IsInsideObject_Left+0, 0 
	SUBWF       FARG_glcdtimers_driver_IsInsideObject_X+0, 0 
L_glcdtimers_driver_IsInsideObject63:
	BTFSS       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_IsInsideObject4
	MOVF        FARG_glcdtimers_driver_IsInsideObject_Width+0, 0 
	ADDWF       FARG_glcdtimers_driver_IsInsideObject_Left+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       1
	SUBWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	SUBWFB      R1, 0 
	MOVWF       R3 
	MOVF        FARG_glcdtimers_driver_IsInsideObject_X+1, 0 
	SUBWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_IsInsideObject64
	MOVF        FARG_glcdtimers_driver_IsInsideObject_X+0, 0 
	SUBWF       R2, 0 
L_glcdtimers_driver_IsInsideObject64:
	BTFSS       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_IsInsideObject4
;glcdtimers_driver.c,378 :: 		(Top <= Y)  && (Top + Height - 1 >= Y) )
	MOVLW       0
	SUBWF       FARG_glcdtimers_driver_IsInsideObject_Y+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_IsInsideObject65
	MOVF        FARG_glcdtimers_driver_IsInsideObject_Top+0, 0 
	SUBWF       FARG_glcdtimers_driver_IsInsideObject_Y+0, 0 
L_glcdtimers_driver_IsInsideObject65:
	BTFSS       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_IsInsideObject4
	MOVF        FARG_glcdtimers_driver_IsInsideObject_Height+0, 0 
	ADDWF       FARG_glcdtimers_driver_IsInsideObject_Top+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       1
	SUBWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	SUBWFB      R1, 0 
	MOVWF       R3 
	MOVF        FARG_glcdtimers_driver_IsInsideObject_Y+1, 0 
	SUBWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_IsInsideObject66
	MOVF        FARG_glcdtimers_driver_IsInsideObject_Y+0, 0 
	SUBWF       R2, 0 
L_glcdtimers_driver_IsInsideObject66:
	BTFSS       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_IsInsideObject4
L_glcdtimers_driver_IsInsideObject57:
;glcdtimers_driver.c,379 :: 		return 1;
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_IsInsideObject
L_glcdtimers_driver_IsInsideObject4:
;glcdtimers_driver.c,381 :: 		return 0;
	CLRF        R0 
;glcdtimers_driver.c,382 :: 		}
L_end_IsInsideObject:
	RETURN      0
; end of glcdtimers_driver_IsInsideObject

_DrawCaptionButton:

;glcdtimers_driver.c,389 :: 		void DrawCaptionButton(TCaptionButton *Acaption_button) {
;glcdtimers_driver.c,390 :: 		Glcd_Box(Acaption_button->Left, Acaption_button->Top,
	MOVLW       2
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       3
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
;glcdtimers_driver.c,391 :: 		Acaption_button->Left + Acaption_button->Width - 1,
	MOVLW       4
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR2L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDWF       R1, 0 
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	DECF        FARG_Glcd_Box_x_bottom_right+0, 1 
;glcdtimers_driver.c,392 :: 		Acaption_button->Top + Acaption_button->Height - 1, _clDraw);
	MOVLW       5
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR2L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDWF       R0, 0 
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	DECF        FARG_Glcd_Box_y_bottom_right+0, 1 
	MOVLW       1
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;glcdtimers_driver.c,393 :: 		if ((Acaption_button->Width >= 5) && (Acaption_button->Height >= 5))
	MOVLW       4
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVLW       5
	SUBWF       POSTINC0+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_DrawCaptionButton8
	MOVLW       5
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVLW       5
	SUBWF       POSTINC0+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_DrawCaptionButton8
L__DrawCaptionButton58:
;glcdtimers_driver.c,394 :: 		Glcd_Rectangle(Acaption_button->Left + 1, Acaption_button->Top + 1,
	MOVLW       2
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	ADDLW       1
	MOVWF       FARG_Glcd_Rectangle_x_upper_left+0 
	MOVLW       3
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDLW       1
	MOVWF       FARG_Glcd_Rectangle_y_upper_left+0 
;glcdtimers_driver.c,395 :: 		Acaption_button->Left + Acaption_button->Width - 2,
	MOVLW       4
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR2L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDWF       R1, 0 
	MOVWF       FARG_Glcd_Rectangle_x_bottom_right+0 
	MOVLW       2
	SUBWF       FARG_Glcd_Rectangle_x_bottom_right+0, 1 
;glcdtimers_driver.c,396 :: 		Acaption_button->Top + Acaption_button->Height - 2, _clClear);
	MOVLW       5
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR2L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDWF       R0, 0 
	MOVWF       FARG_Glcd_Rectangle_y_bottom_right+0 
	MOVLW       2
	SUBWF       FARG_Glcd_Rectangle_y_bottom_right+0, 1 
	CLRF        FARG_Glcd_Rectangle_color+0 
	CALL        _Glcd_Rectangle+0, 0
L_DrawCaptionButton8:
;glcdtimers_driver.c,397 :: 		Glcd_Set_Font(Acaption_button->FontName, Acaption_button->FontWidth,
	MOVLW       9
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_activeFont+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_activeFont+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_activeFont+2 
	MOVLW       12
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_aFontWidth+0 
;glcdtimers_driver.c,398 :: 		Acaption_button->FontHeight, Acaption_button->FontOffset);
	MOVLW       13
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_aFontHeight+0 
	MOVLW       14
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+1 
	MOVLW       0
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+1 
	CALL        _Glcd_Set_Font+0, 0
;glcdtimers_driver.c,399 :: 		Glcd_Write_Text(Acaption_button->Caption,
	MOVLW       7
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_text+1 
;glcdtimers_driver.c,400 :: 		Acaption_button->Left + Acaption_button->BorderWidth + 2,
	MOVLW       2
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVLW       6
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR2L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       2
	ADDWF       FARG_Glcd_Write_Text_x_pos+0, 1 
;glcdtimers_driver.c,401 :: 		(Acaption_button->Top + Acaption_button->BorderWidth + 2) / 8,
	MOVLW       3
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	ADDWF       R0, 1 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       2
	ADDWF       R0, 0 
	MOVWF       R3 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R4 
	MOVLW       3
	MOVWF       R2 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__DrawCaptionButton68:
	BZ          L__DrawCaptionButton69
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	BTFSC       R1, 6 
	BSF         R1, 7 
	ADDLW       255
	GOTO        L__DrawCaptionButton68
L__DrawCaptionButton69:
	MOVF        R0, 0 
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
;glcdtimers_driver.c,402 :: 		Acaption_button->FontColor);
	MOVLW       15
	ADDWF       FARG_DrawCaptionButton_Acaption_button+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawCaptionButton_Acaption_button+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;glcdtimers_driver.c,403 :: 		}
L_end_DrawCaptionButton:
	RETURN      0
; end of _DrawCaptionButton

glcdtimers_driver_DrawCaptionButtons:

;glcdtimers_driver.c,405 :: 		static void DrawCaptionButtons() {
;glcdtimers_driver.c,409 :: 		for ( i = 0 ; i < CurrentScreen->CaptionButtonsCount ; i++ ) {
	CLRF        glcdtimers_driver_DrawCaptionButtons_i_L0+0 
	CLRF        glcdtimers_driver_DrawCaptionButtons_i_L0+1 
L_glcdtimers_driver_DrawCaptionButtons9:
	MOVLW       4
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR2L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	MOVWF       R1 
	MOVF        POSTINC2+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	SUBWF       glcdtimers_driver_DrawCaptionButtons_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_DrawCaptionButtons71
	MOVF        R1, 0 
	SUBWF       glcdtimers_driver_DrawCaptionButtons_i_L0+0, 0 
L_glcdtimers_driver_DrawCaptionButtons71:
	BTFSC       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_DrawCaptionButtons10
;glcdtimers_driver.c,410 :: 		local_caption_button = GetCaptionButton(i);
	MOVLW       6
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        glcdtimers_driver_DrawCaptionButtons_i_L0+0, 0 
	MOVWF       R0 
	MOVF        glcdtimers_driver_DrawCaptionButtons_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR0L 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       glcdtimers_driver_DrawCaptionButtons_local_caption_button_L0+0 
	MOVF        R1, 0 
	MOVWF       glcdtimers_driver_DrawCaptionButtons_local_caption_button_L0+1 
;glcdtimers_driver.c,411 :: 		if (local_caption_button->Visible == 1) {
	MOVLW       16
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_DrawCaptionButtons12
;glcdtimers_driver.c,412 :: 		DrawCaptionButton(local_caption_button);
	MOVF        glcdtimers_driver_DrawCaptionButtons_local_caption_button_L0+0, 0 
	MOVWF       FARG_DrawCaptionButton_Acaption_button+0 
	MOVF        glcdtimers_driver_DrawCaptionButtons_local_caption_button_L0+1, 0 
	MOVWF       FARG_DrawCaptionButton_Acaption_button+1 
	CALL        _DrawCaptionButton+0, 0
;glcdtimers_driver.c,413 :: 		}
L_glcdtimers_driver_DrawCaptionButtons12:
;glcdtimers_driver.c,409 :: 		for ( i = 0 ; i < CurrentScreen->CaptionButtonsCount ; i++ ) {
	INFSNZ      glcdtimers_driver_DrawCaptionButtons_i_L0+0, 1 
	INCF        glcdtimers_driver_DrawCaptionButtons_i_L0+1, 1 
;glcdtimers_driver.c,414 :: 		}
	GOTO        L_glcdtimers_driver_DrawCaptionButtons9
L_glcdtimers_driver_DrawCaptionButtons10:
;glcdtimers_driver.c,415 :: 		}
L_end_DrawCaptionButtons:
	RETURN      0
; end of glcdtimers_driver_DrawCaptionButtons

_DrawLabel:

;glcdtimers_driver.c,418 :: 		void DrawLabel(TLabel *Alabel) {
;glcdtimers_driver.c,419 :: 		Glcd_Set_Font(Alabel->FontName, Alabel->FontWidth,
	MOVLW       8
	ADDWF       FARG_DrawLabel_Alabel+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawLabel_Alabel+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_activeFont+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_activeFont+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_activeFont+2 
	MOVLW       11
	ADDWF       FARG_DrawLabel_Alabel+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawLabel_Alabel+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_aFontWidth+0 
;glcdtimers_driver.c,420 :: 		Alabel->FontHeight, Alabel->FontOffset);
	MOVLW       12
	ADDWF       FARG_DrawLabel_Alabel+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawLabel_Alabel+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_aFontHeight+0 
	MOVLW       13
	ADDWF       FARG_DrawLabel_Alabel+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawLabel_Alabel+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+1 
	MOVLW       0
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+1 
	CALL        _Glcd_Set_Font+0, 0
;glcdtimers_driver.c,421 :: 		Glcd_Write_Text(Alabel->Caption, Alabel->Left,
	MOVLW       6
	ADDWF       FARG_DrawLabel_Alabel+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawLabel_Alabel+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       2
	ADDWF       FARG_DrawLabel_Alabel+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawLabel_Alabel+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
;glcdtimers_driver.c,422 :: 		Alabel->Top / 8, Alabel->FontColor);
	MOVLW       3
	ADDWF       FARG_DrawLabel_Alabel+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawLabel_Alabel+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	RRCF        FARG_Glcd_Write_Text_page_num+0, 1 
	BCF         FARG_Glcd_Write_Text_page_num+0, 7 
	RRCF        FARG_Glcd_Write_Text_page_num+0, 1 
	BCF         FARG_Glcd_Write_Text_page_num+0, 7 
	RRCF        FARG_Glcd_Write_Text_page_num+0, 1 
	BCF         FARG_Glcd_Write_Text_page_num+0, 7 
	MOVLW       14
	ADDWF       FARG_DrawLabel_Alabel+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_DrawLabel_Alabel+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;glcdtimers_driver.c,423 :: 		}
L_end_DrawLabel:
	RETURN      0
; end of _DrawLabel

glcdtimers_driver_DrawLabels:

;glcdtimers_driver.c,425 :: 		static void DrawLabels() {
;glcdtimers_driver.c,429 :: 		for ( i = 0 ; i < CurrentScreen->LabelsCount ; i++ ) {
	CLRF        glcdtimers_driver_DrawLabels_i_L0+0 
	CLRF        glcdtimers_driver_DrawLabels_i_L0+1 
L_glcdtimers_driver_DrawLabels13:
	MOVFF       _CurrentScreen+0, FSR0L
	MOVFF       _CurrentScreen+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	SUBWF       glcdtimers_driver_DrawLabels_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_DrawLabels74
	MOVF        R1, 0 
	SUBWF       glcdtimers_driver_DrawLabels_i_L0+0, 0 
L_glcdtimers_driver_DrawLabels74:
	BTFSC       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_DrawLabels14
;glcdtimers_driver.c,430 :: 		local_label = GetLabel(i);
	MOVLW       2
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        glcdtimers_driver_DrawLabels_i_L0+0, 0 
	MOVWF       R0 
	MOVF        glcdtimers_driver_DrawLabels_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR0L 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       glcdtimers_driver_DrawLabels_local_label_L0+0 
	MOVF        R1, 0 
	MOVWF       glcdtimers_driver_DrawLabels_local_label_L0+1 
;glcdtimers_driver.c,431 :: 		if (local_label->Visible == 1) {
	MOVLW       15
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_DrawLabels16
;glcdtimers_driver.c,432 :: 		DrawLabel(local_label);
	MOVF        glcdtimers_driver_DrawLabels_local_label_L0+0, 0 
	MOVWF       FARG_DrawLabel_Alabel+0 
	MOVF        glcdtimers_driver_DrawLabels_local_label_L0+1, 0 
	MOVWF       FARG_DrawLabel_Alabel+1 
	CALL        _DrawLabel+0, 0
;glcdtimers_driver.c,433 :: 		}
L_glcdtimers_driver_DrawLabels16:
;glcdtimers_driver.c,429 :: 		for ( i = 0 ; i < CurrentScreen->LabelsCount ; i++ ) {
	INFSNZ      glcdtimers_driver_DrawLabels_i_L0+0, 1 
	INCF        glcdtimers_driver_DrawLabels_i_L0+1, 1 
;glcdtimers_driver.c,434 :: 		}
	GOTO        L_glcdtimers_driver_DrawLabels13
L_glcdtimers_driver_DrawLabels14:
;glcdtimers_driver.c,435 :: 		}
L_end_DrawLabels:
	RETURN      0
; end of glcdtimers_driver_DrawLabels

_DrawScreen:

;glcdtimers_driver.c,437 :: 		void DrawScreen(TScreen *aScreen) {
;glcdtimers_driver.c,438 :: 		Glcd_Fill(0x00);
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;glcdtimers_driver.c,440 :: 		CurrentScreen = aScreen;
	MOVF        FARG_DrawScreen_aScreen+0, 0 
	MOVWF       _CurrentScreen+0 
	MOVF        FARG_DrawScreen_aScreen+1, 0 
	MOVWF       _CurrentScreen+1 
;glcdtimers_driver.c,442 :: 		DrawCaptionButtons();
	CALL        glcdtimers_driver_DrawCaptionButtons+0, 0
;glcdtimers_driver.c,445 :: 		DrawLabels();
	CALL        glcdtimers_driver_DrawLabels+0, 0
;glcdtimers_driver.c,447 :: 		}
L_end_DrawScreen:
	RETURN      0
; end of _DrawScreen

glcdtimers_driver_Process_TP_Press:

;glcdtimers_driver.c,449 :: 		static void Process_TP_Press(unsigned int X, unsigned int Y) {
;glcdtimers_driver.c,455 :: 		for ( i = 0 ; i < CurrentScreen->CaptionButtonsCount ; i++ ) {
	CLRF        glcdtimers_driver_Process_TP_Press_i_L0+0 
	CLRF        glcdtimers_driver_Process_TP_Press_i_L0+1 
L_glcdtimers_driver_Process_TP_Press17:
	MOVLW       4
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR2L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	MOVWF       R1 
	MOVF        POSTINC2+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	SUBWF       glcdtimers_driver_Process_TP_Press_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press77
	MOVF        R1, 0 
	SUBWF       glcdtimers_driver_Process_TP_Press_i_L0+0, 0 
L_glcdtimers_driver_Process_TP_Press77:
	BTFSC       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_Process_TP_Press18
;glcdtimers_driver.c,456 :: 		local_caption_button = GetCaptionButton(i);
	MOVLW       6
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        glcdtimers_driver_Process_TP_Press_i_L0+0, 0 
	MOVWF       R0 
	MOVF        glcdtimers_driver_Process_TP_Press_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR0L 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       glcdtimers_driver_Process_TP_Press_local_caption_button_L0+0 
	MOVF        R1, 0 
	MOVWF       glcdtimers_driver_Process_TP_Press_local_caption_button_L0+1 
;glcdtimers_driver.c,457 :: 		if (IsInsideObject(X, Y, local_caption_button->Left, local_caption_button->Top,
	MOVF        FARG_glcdtimers_driver_Process_TP_Press_X+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Press_X+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+1 
	MOVF        FARG_glcdtimers_driver_Process_TP_Press_Y+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Press_Y+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+1 
	MOVLW       2
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Left+0 
	MOVLW       3
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Top+0 
;glcdtimers_driver.c,458 :: 		local_caption_button->Width, local_caption_button->Height) == 1) {
	MOVLW       4
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Width+0 
	MOVLW       5
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Height+0 
	CALL        glcdtimers_driver_IsInsideObject+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press20
;glcdtimers_driver.c,459 :: 		if (local_caption_button->OnPressPtr != 0) {
	MOVLW       29
	ADDWF       glcdtimers_driver_Process_TP_Press_local_caption_button_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Press_local_caption_button_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R0 
	XORWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press78
	MOVF        R0, 0 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press78
	MOVF        R0, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press78
	MOVF        R1, 0 
	XORLW       0
L_glcdtimers_driver_Process_TP_Press78:
	BTFSC       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press21
;glcdtimers_driver.c,460 :: 		local_caption_button->OnPressPtr();
	MOVLW       29
	ADDWF       glcdtimers_driver_Process_TP_Press_local_caption_button_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Press_local_caption_button_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	CALL        _____DoIFC+0, 0
;glcdtimers_driver.c,461 :: 		return;
	GOTO        L_end_Process_TP_Press
;glcdtimers_driver.c,462 :: 		}
L_glcdtimers_driver_Process_TP_Press21:
;glcdtimers_driver.c,463 :: 		}
L_glcdtimers_driver_Process_TP_Press20:
;glcdtimers_driver.c,455 :: 		for ( i = 0 ; i < CurrentScreen->CaptionButtonsCount ; i++ ) {
	INFSNZ      glcdtimers_driver_Process_TP_Press_i_L0+0, 1 
	INCF        glcdtimers_driver_Process_TP_Press_i_L0+1, 1 
;glcdtimers_driver.c,464 :: 		}
	GOTO        L_glcdtimers_driver_Process_TP_Press17
L_glcdtimers_driver_Process_TP_Press18:
;glcdtimers_driver.c,467 :: 		for ( i = 0 ; i < CurrentScreen->LabelsCount ; i++ ) {
	CLRF        glcdtimers_driver_Process_TP_Press_i_L0+0 
	CLRF        glcdtimers_driver_Process_TP_Press_i_L0+1 
L_glcdtimers_driver_Process_TP_Press22:
	MOVFF       _CurrentScreen+0, FSR0L
	MOVFF       _CurrentScreen+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	SUBWF       glcdtimers_driver_Process_TP_Press_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press79
	MOVF        R1, 0 
	SUBWF       glcdtimers_driver_Process_TP_Press_i_L0+0, 0 
L_glcdtimers_driver_Process_TP_Press79:
	BTFSC       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_Process_TP_Press23
;glcdtimers_driver.c,468 :: 		local_label = GetLabel(i);
	MOVLW       2
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        glcdtimers_driver_Process_TP_Press_i_L0+0, 0 
	MOVWF       R0 
	MOVF        glcdtimers_driver_Process_TP_Press_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR0L 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       glcdtimers_driver_Process_TP_Press_local_label_L0+0 
	MOVF        R1, 0 
	MOVWF       glcdtimers_driver_Process_TP_Press_local_label_L0+1 
;glcdtimers_driver.c,469 :: 		if (IsInsideObject(X, Y, local_label->Left, local_label->Top,
	MOVF        FARG_glcdtimers_driver_Process_TP_Press_X+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Press_X+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+1 
	MOVF        FARG_glcdtimers_driver_Process_TP_Press_Y+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Press_Y+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+1 
	MOVLW       2
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Left+0 
	MOVLW       3
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Top+0 
;glcdtimers_driver.c,470 :: 		local_label->Width, local_label->Height) == 1) {
	MOVLW       4
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Width+0 
	MOVLW       5
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Height+0 
	CALL        glcdtimers_driver_IsInsideObject+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press25
;glcdtimers_driver.c,471 :: 		if (local_label->OnPressPtr != 0) {
	MOVLW       28
	ADDWF       glcdtimers_driver_Process_TP_Press_local_label_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Press_local_label_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R0 
	XORWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press80
	MOVF        R0, 0 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press80
	MOVF        R0, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press80
	MOVF        R1, 0 
	XORLW       0
L_glcdtimers_driver_Process_TP_Press80:
	BTFSC       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Press26
;glcdtimers_driver.c,472 :: 		local_label->OnPressPtr();
	MOVLW       28
	ADDWF       glcdtimers_driver_Process_TP_Press_local_label_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Press_local_label_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	CALL        _____DoIFC+0, 0
;glcdtimers_driver.c,473 :: 		return;
	GOTO        L_end_Process_TP_Press
;glcdtimers_driver.c,474 :: 		}
L_glcdtimers_driver_Process_TP_Press26:
;glcdtimers_driver.c,475 :: 		}
L_glcdtimers_driver_Process_TP_Press25:
;glcdtimers_driver.c,467 :: 		for ( i = 0 ; i < CurrentScreen->LabelsCount ; i++ ) {
	INFSNZ      glcdtimers_driver_Process_TP_Press_i_L0+0, 1 
	INCF        glcdtimers_driver_Process_TP_Press_i_L0+1, 1 
;glcdtimers_driver.c,476 :: 		}
	GOTO        L_glcdtimers_driver_Process_TP_Press22
L_glcdtimers_driver_Process_TP_Press23:
;glcdtimers_driver.c,478 :: 		}
L_end_Process_TP_Press:
	RETURN      0
; end of glcdtimers_driver_Process_TP_Press

glcdtimers_driver_Process_TP_Up:

;glcdtimers_driver.c,480 :: 		static void Process_TP_Up(unsigned int X, unsigned int Y) {
;glcdtimers_driver.c,486 :: 		for ( i = 0 ; i < CurrentScreen->CaptionButtonsCount ; i++ ) {
	CLRF        glcdtimers_driver_Process_TP_Up_i_L0+0 
	CLRF        glcdtimers_driver_Process_TP_Up_i_L0+1 
L_glcdtimers_driver_Process_TP_Up27:
	MOVLW       4
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR2L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	MOVWF       R1 
	MOVF        POSTINC2+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	SUBWF       glcdtimers_driver_Process_TP_Up_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up82
	MOVF        R1, 0 
	SUBWF       glcdtimers_driver_Process_TP_Up_i_L0+0, 0 
L_glcdtimers_driver_Process_TP_Up82:
	BTFSC       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_Process_TP_Up28
;glcdtimers_driver.c,487 :: 		local_caption_button = GetCaptionButton(i);
	MOVLW       6
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        glcdtimers_driver_Process_TP_Up_i_L0+0, 0 
	MOVWF       R0 
	MOVF        glcdtimers_driver_Process_TP_Up_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR0L 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       glcdtimers_driver_Process_TP_Up_local_caption_button_L0+0 
	MOVF        R1, 0 
	MOVWF       glcdtimers_driver_Process_TP_Up_local_caption_button_L0+1 
;glcdtimers_driver.c,488 :: 		if (IsInsideObject(X, Y, local_caption_button->Left, local_caption_button->Top,
	MOVF        FARG_glcdtimers_driver_Process_TP_Up_X+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Up_X+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+1 
	MOVF        FARG_glcdtimers_driver_Process_TP_Up_Y+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Up_Y+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+1 
	MOVLW       2
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Left+0 
	MOVLW       3
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Top+0 
;glcdtimers_driver.c,489 :: 		local_caption_button->Width, local_caption_button->Height) == 1) {
	MOVLW       4
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Width+0 
	MOVLW       5
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Height+0 
	CALL        glcdtimers_driver_IsInsideObject+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up30
;glcdtimers_driver.c,490 :: 		if (local_caption_button->OnUpPtr != 0)
	MOVLW       17
	ADDWF       glcdtimers_driver_Process_TP_Up_local_caption_button_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Up_local_caption_button_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R0 
	XORWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up83
	MOVF        R0, 0 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up83
	MOVF        R0, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up83
	MOVF        R1, 0 
	XORLW       0
L_glcdtimers_driver_Process_TP_Up83:
	BTFSC       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up31
;glcdtimers_driver.c,491 :: 		local_caption_button->OnUpPtr();
	MOVLW       17
	ADDWF       glcdtimers_driver_Process_TP_Up_local_caption_button_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Up_local_caption_button_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	CALL        _____DoIFC+0, 0
L_glcdtimers_driver_Process_TP_Up31:
;glcdtimers_driver.c,493 :: 		if (PressedObject == (void *)local_caption_button)
	MOVF        _PressedObject+1, 0 
	XORWF       glcdtimers_driver_Process_TP_Up_local_caption_button_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up84
	MOVF        glcdtimers_driver_Process_TP_Up_local_caption_button_L0+0, 0 
	XORWF       _PressedObject+0, 0 
L_glcdtimers_driver_Process_TP_Up84:
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up32
;glcdtimers_driver.c,494 :: 		if (local_caption_button->OnClickPtr != 0)
	MOVLW       25
	ADDWF       glcdtimers_driver_Process_TP_Up_local_caption_button_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Up_local_caption_button_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R0 
	XORWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up85
	MOVF        R0, 0 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up85
	MOVF        R0, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up85
	MOVF        R1, 0 
	XORLW       0
L_glcdtimers_driver_Process_TP_Up85:
	BTFSC       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up33
;glcdtimers_driver.c,495 :: 		local_caption_button->OnClickPtr();
	MOVLW       25
	ADDWF       glcdtimers_driver_Process_TP_Up_local_caption_button_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Up_local_caption_button_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	CALL        _____DoIFC+0, 0
L_glcdtimers_driver_Process_TP_Up33:
L_glcdtimers_driver_Process_TP_Up32:
;glcdtimers_driver.c,497 :: 		PressedObject = 0;
	CLRF        _PressedObject+0 
	CLRF        _PressedObject+1 
;glcdtimers_driver.c,498 :: 		return;
	GOTO        L_end_Process_TP_Up
;glcdtimers_driver.c,500 :: 		}
L_glcdtimers_driver_Process_TP_Up30:
;glcdtimers_driver.c,486 :: 		for ( i = 0 ; i < CurrentScreen->CaptionButtonsCount ; i++ ) {
	INFSNZ      glcdtimers_driver_Process_TP_Up_i_L0+0, 1 
	INCF        glcdtimers_driver_Process_TP_Up_i_L0+1, 1 
;glcdtimers_driver.c,501 :: 		}
	GOTO        L_glcdtimers_driver_Process_TP_Up27
L_glcdtimers_driver_Process_TP_Up28:
;glcdtimers_driver.c,504 :: 		for ( i = 0 ; i < CurrentScreen->LabelsCount ; i++ ) {
	CLRF        glcdtimers_driver_Process_TP_Up_i_L0+0 
	CLRF        glcdtimers_driver_Process_TP_Up_i_L0+1 
L_glcdtimers_driver_Process_TP_Up34:
	MOVFF       _CurrentScreen+0, FSR0L
	MOVFF       _CurrentScreen+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	SUBWF       glcdtimers_driver_Process_TP_Up_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up86
	MOVF        R1, 0 
	SUBWF       glcdtimers_driver_Process_TP_Up_i_L0+0, 0 
L_glcdtimers_driver_Process_TP_Up86:
	BTFSC       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_Process_TP_Up35
;glcdtimers_driver.c,505 :: 		local_label = GetLabel(i);
	MOVLW       2
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        glcdtimers_driver_Process_TP_Up_i_L0+0, 0 
	MOVWF       R0 
	MOVF        glcdtimers_driver_Process_TP_Up_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR0L 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       glcdtimers_driver_Process_TP_Up_local_label_L0+0 
	MOVF        R1, 0 
	MOVWF       glcdtimers_driver_Process_TP_Up_local_label_L0+1 
;glcdtimers_driver.c,506 :: 		if (IsInsideObject(X, Y, local_label->Left, local_label->Top,
	MOVF        FARG_glcdtimers_driver_Process_TP_Up_X+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Up_X+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+1 
	MOVF        FARG_glcdtimers_driver_Process_TP_Up_Y+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Up_Y+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+1 
	MOVLW       2
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Left+0 
	MOVLW       3
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Top+0 
;glcdtimers_driver.c,507 :: 		local_label->Width, local_label->Height) == 1) {
	MOVLW       4
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Width+0 
	MOVLW       5
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Height+0 
	CALL        glcdtimers_driver_IsInsideObject+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up37
;glcdtimers_driver.c,508 :: 		if (local_label->OnUpPtr != 0)
	MOVLW       16
	ADDWF       glcdtimers_driver_Process_TP_Up_local_label_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Up_local_label_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R0 
	XORWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up87
	MOVF        R0, 0 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up87
	MOVF        R0, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up87
	MOVF        R1, 0 
	XORLW       0
L_glcdtimers_driver_Process_TP_Up87:
	BTFSC       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up38
;glcdtimers_driver.c,509 :: 		local_label->OnUpPtr();
	MOVLW       16
	ADDWF       glcdtimers_driver_Process_TP_Up_local_label_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Up_local_label_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	CALL        _____DoIFC+0, 0
L_glcdtimers_driver_Process_TP_Up38:
;glcdtimers_driver.c,511 :: 		if (PressedObject == (void *)local_label)
	MOVF        _PressedObject+1, 0 
	XORWF       glcdtimers_driver_Process_TP_Up_local_label_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up88
	MOVF        glcdtimers_driver_Process_TP_Up_local_label_L0+0, 0 
	XORWF       _PressedObject+0, 0 
L_glcdtimers_driver_Process_TP_Up88:
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up39
;glcdtimers_driver.c,512 :: 		if (local_label->OnClickPtr != 0)
	MOVLW       24
	ADDWF       glcdtimers_driver_Process_TP_Up_local_label_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Up_local_label_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R0 
	XORWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up89
	MOVF        R0, 0 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up89
	MOVF        R0, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up89
	MOVF        R1, 0 
	XORLW       0
L_glcdtimers_driver_Process_TP_Up89:
	BTFSC       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Up40
;glcdtimers_driver.c,513 :: 		local_label->OnClickPtr();
	MOVLW       24
	ADDWF       glcdtimers_driver_Process_TP_Up_local_label_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Up_local_label_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	CALL        _____DoIFC+0, 0
L_glcdtimers_driver_Process_TP_Up40:
L_glcdtimers_driver_Process_TP_Up39:
;glcdtimers_driver.c,515 :: 		PressedObject = 0;
	CLRF        _PressedObject+0 
	CLRF        _PressedObject+1 
;glcdtimers_driver.c,516 :: 		return;
	GOTO        L_end_Process_TP_Up
;glcdtimers_driver.c,518 :: 		}
L_glcdtimers_driver_Process_TP_Up37:
;glcdtimers_driver.c,504 :: 		for ( i = 0 ; i < CurrentScreen->LabelsCount ; i++ ) {
	INFSNZ      glcdtimers_driver_Process_TP_Up_i_L0+0, 1 
	INCF        glcdtimers_driver_Process_TP_Up_i_L0+1, 1 
;glcdtimers_driver.c,519 :: 		}
	GOTO        L_glcdtimers_driver_Process_TP_Up34
L_glcdtimers_driver_Process_TP_Up35:
;glcdtimers_driver.c,521 :: 		PressedObject = 0;
	CLRF        _PressedObject+0 
	CLRF        _PressedObject+1 
;glcdtimers_driver.c,522 :: 		}
L_end_Process_TP_Up:
	RETURN      0
; end of glcdtimers_driver_Process_TP_Up

glcdtimers_driver_Process_TP_Down:

;glcdtimers_driver.c,524 :: 		static void Process_TP_Down(unsigned int X, unsigned int Y) {
;glcdtimers_driver.c,530 :: 		for ( i = 0 ; i < CurrentScreen->CaptionButtonsCount ; i++ ) {
	CLRF        glcdtimers_driver_Process_TP_Down_i_L0+0 
	CLRF        glcdtimers_driver_Process_TP_Down_i_L0+1 
L_glcdtimers_driver_Process_TP_Down41:
	MOVLW       4
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR2L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	MOVWF       R1 
	MOVF        POSTINC2+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	SUBWF       glcdtimers_driver_Process_TP_Down_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down91
	MOVF        R1, 0 
	SUBWF       glcdtimers_driver_Process_TP_Down_i_L0+0, 0 
L_glcdtimers_driver_Process_TP_Down91:
	BTFSC       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_Process_TP_Down42
;glcdtimers_driver.c,531 :: 		local_caption_button = GetCaptionButton(i);
	MOVLW       6
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        glcdtimers_driver_Process_TP_Down_i_L0+0, 0 
	MOVWF       R0 
	MOVF        glcdtimers_driver_Process_TP_Down_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR0L 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       glcdtimers_driver_Process_TP_Down_local_caption_button_L0+0 
	MOVF        R1, 0 
	MOVWF       glcdtimers_driver_Process_TP_Down_local_caption_button_L0+1 
;glcdtimers_driver.c,532 :: 		if (IsInsideObject(X, Y, local_caption_button->Left, local_caption_button->Top,
	MOVF        FARG_glcdtimers_driver_Process_TP_Down_X+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Down_X+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+1 
	MOVF        FARG_glcdtimers_driver_Process_TP_Down_Y+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Down_Y+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+1 
	MOVLW       2
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Left+0 
	MOVLW       3
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Top+0 
;glcdtimers_driver.c,533 :: 		local_caption_button->Width, local_caption_button->Height) == 1) {
	MOVLW       4
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Width+0 
	MOVLW       5
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Height+0 
	CALL        glcdtimers_driver_IsInsideObject+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down44
;glcdtimers_driver.c,534 :: 		PressedObject = (void *)local_caption_button;
	MOVF        glcdtimers_driver_Process_TP_Down_local_caption_button_L0+0, 0 
	MOVWF       _PressedObject+0 
	MOVF        glcdtimers_driver_Process_TP_Down_local_caption_button_L0+1, 0 
	MOVWF       _PressedObject+1 
;glcdtimers_driver.c,535 :: 		if (local_caption_button->OnDownPtr != 0) {
	MOVLW       21
	ADDWF       glcdtimers_driver_Process_TP_Down_local_caption_button_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Down_local_caption_button_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R0 
	XORWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down92
	MOVF        R0, 0 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down92
	MOVF        R0, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down92
	MOVF        R1, 0 
	XORLW       0
L_glcdtimers_driver_Process_TP_Down92:
	BTFSC       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down45
;glcdtimers_driver.c,536 :: 		local_caption_button->OnDownPtr();
	MOVLW       21
	ADDWF       glcdtimers_driver_Process_TP_Down_local_caption_button_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Down_local_caption_button_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	CALL        _____DoIFC+0, 0
;glcdtimers_driver.c,537 :: 		return;
	GOTO        L_end_Process_TP_Down
;glcdtimers_driver.c,538 :: 		}
L_glcdtimers_driver_Process_TP_Down45:
;glcdtimers_driver.c,539 :: 		}
L_glcdtimers_driver_Process_TP_Down44:
;glcdtimers_driver.c,530 :: 		for ( i = 0 ; i < CurrentScreen->CaptionButtonsCount ; i++ ) {
	INFSNZ      glcdtimers_driver_Process_TP_Down_i_L0+0, 1 
	INCF        glcdtimers_driver_Process_TP_Down_i_L0+1, 1 
;glcdtimers_driver.c,540 :: 		}
	GOTO        L_glcdtimers_driver_Process_TP_Down41
L_glcdtimers_driver_Process_TP_Down42:
;glcdtimers_driver.c,543 :: 		for ( i = 0 ; i < CurrentScreen->LabelsCount ; i++ ) {
	CLRF        glcdtimers_driver_Process_TP_Down_i_L0+0 
	CLRF        glcdtimers_driver_Process_TP_Down_i_L0+1 
L_glcdtimers_driver_Process_TP_Down46:
	MOVFF       _CurrentScreen+0, FSR0L
	MOVFF       _CurrentScreen+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	SUBWF       glcdtimers_driver_Process_TP_Down_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down93
	MOVF        R1, 0 
	SUBWF       glcdtimers_driver_Process_TP_Down_i_L0+0, 0 
L_glcdtimers_driver_Process_TP_Down93:
	BTFSC       STATUS+0, 0 
	GOTO        L_glcdtimers_driver_Process_TP_Down47
;glcdtimers_driver.c,544 :: 		local_label = GetLabel(i);
	MOVLW       2
	ADDWF       _CurrentScreen+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      _CurrentScreen+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        glcdtimers_driver_Process_TP_Down_i_L0+0, 0 
	MOVWF       R0 
	MOVF        glcdtimers_driver_Process_TP_Down_i_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVF        R0, 0 
	ADDWF       R3, 0 
	MOVWF       FSR0L 
	MOVF        R1, 0 
	ADDWFC      R4, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       glcdtimers_driver_Process_TP_Down_local_label_L0+0 
	MOVF        R1, 0 
	MOVWF       glcdtimers_driver_Process_TP_Down_local_label_L0+1 
;glcdtimers_driver.c,545 :: 		if (IsInsideObject(X, Y, local_label->Left, local_label->Top,
	MOVF        FARG_glcdtimers_driver_Process_TP_Down_X+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Down_X+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_X+1 
	MOVF        FARG_glcdtimers_driver_Process_TP_Down_Y+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+0 
	MOVF        FARG_glcdtimers_driver_Process_TP_Down_Y+1, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Y+1 
	MOVLW       2
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Left+0 
	MOVLW       3
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Top+0 
;glcdtimers_driver.c,546 :: 		local_label->Width, local_label->Height) == 1) {
	MOVLW       4
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Width+0 
	MOVLW       5
	ADDWF       R0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_glcdtimers_driver_IsInsideObject_Height+0 
	CALL        glcdtimers_driver_IsInsideObject+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down49
;glcdtimers_driver.c,547 :: 		PressedObject = (void *)local_label;
	MOVF        glcdtimers_driver_Process_TP_Down_local_label_L0+0, 0 
	MOVWF       _PressedObject+0 
	MOVF        glcdtimers_driver_Process_TP_Down_local_label_L0+1, 0 
	MOVWF       _PressedObject+1 
;glcdtimers_driver.c,548 :: 		if (local_label->OnDownPtr != 0) {
	MOVLW       20
	ADDWF       glcdtimers_driver_Process_TP_Down_local_label_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Down_local_label_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R0 
	XORWF       R4, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down94
	MOVF        R0, 0 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down94
	MOVF        R0, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down94
	MOVF        R1, 0 
	XORLW       0
L_glcdtimers_driver_Process_TP_Down94:
	BTFSC       STATUS+0, 2 
	GOTO        L_glcdtimers_driver_Process_TP_Down50
;glcdtimers_driver.c,549 :: 		local_label->OnDownPtr();
	MOVLW       20
	ADDWF       glcdtimers_driver_Process_TP_Down_local_label_L0+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      glcdtimers_driver_Process_TP_Down_local_label_L0+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	CALL        _____DoIFC+0, 0
;glcdtimers_driver.c,550 :: 		return;
	GOTO        L_end_Process_TP_Down
;glcdtimers_driver.c,551 :: 		}
L_glcdtimers_driver_Process_TP_Down50:
;glcdtimers_driver.c,552 :: 		}
L_glcdtimers_driver_Process_TP_Down49:
;glcdtimers_driver.c,543 :: 		for ( i = 0 ; i < CurrentScreen->LabelsCount ; i++ ) {
	INFSNZ      glcdtimers_driver_Process_TP_Down_i_L0+0, 1 
	INCF        glcdtimers_driver_Process_TP_Down_i_L0+1, 1 
;glcdtimers_driver.c,553 :: 		}
	GOTO        L_glcdtimers_driver_Process_TP_Down46
L_glcdtimers_driver_Process_TP_Down47:
;glcdtimers_driver.c,555 :: 		}
L_end_Process_TP_Down:
	RETURN      0
; end of glcdtimers_driver_Process_TP_Down

_Check_TP:

;glcdtimers_driver.c,557 :: 		void Check_TP() {
;glcdtimers_driver.c,558 :: 		if (TP_Press_Detect()) {
	CALL        _TP_Press_Detect+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Check_TP51
;glcdtimers_driver.c,560 :: 		if (TP_Get_Coordinates(&Xcoord, &Ycoord) == 0) {
	MOVLW       _Xcoord+0
	MOVWF       FARG_TP_Get_Coordinates_x_coordinate+0 
	MOVLW       hi_addr(_Xcoord+0)
	MOVWF       FARG_TP_Get_Coordinates_x_coordinate+1 
	MOVLW       _Ycoord+0
	MOVWF       FARG_TP_Get_Coordinates_y_coordinate+0 
	MOVLW       hi_addr(_Ycoord+0)
	MOVWF       FARG_TP_Get_Coordinates_y_coordinate+1 
	CALL        _TP_Get_Coordinates+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Check_TP52
;glcdtimers_driver.c,561 :: 		Process_TP_Press(Xcoord, Ycoord);
	MOVF        _Xcoord+0, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Press_X+0 
	MOVF        _Xcoord+1, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Press_X+1 
	MOVF        _Ycoord+0, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Press_Y+0 
	MOVF        _Ycoord+1, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Press_Y+1 
	CALL        glcdtimers_driver_Process_TP_Press+0, 0
;glcdtimers_driver.c,562 :: 		if (PenDown == 0) {
	MOVF        _PenDown+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_Check_TP53
;glcdtimers_driver.c,563 :: 		PenDown = 1;
	MOVLW       1
	MOVWF       _PenDown+0 
;glcdtimers_driver.c,564 :: 		Process_TP_Down(Xcoord, Ycoord);
	MOVF        _Xcoord+0, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Down_X+0 
	MOVF        _Xcoord+1, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Down_X+1 
	MOVF        _Ycoord+0, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Down_Y+0 
	MOVF        _Ycoord+1, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Down_Y+1 
	CALL        glcdtimers_driver_Process_TP_Down+0, 0
;glcdtimers_driver.c,565 :: 		}
L_Check_TP53:
;glcdtimers_driver.c,566 :: 		}
L_Check_TP52:
;glcdtimers_driver.c,567 :: 		}
	GOTO        L_Check_TP54
L_Check_TP51:
;glcdtimers_driver.c,568 :: 		else if (PenDown == 1) {
	MOVF        _PenDown+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_Check_TP55
;glcdtimers_driver.c,569 :: 		PenDown = 0;
	CLRF        _PenDown+0 
;glcdtimers_driver.c,570 :: 		Process_TP_Up(Xcoord, Ycoord);
	MOVF        _Xcoord+0, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Up_X+0 
	MOVF        _Xcoord+1, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Up_X+1 
	MOVF        _Ycoord+0, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Up_Y+0 
	MOVF        _Ycoord+1, 0 
	MOVWF       FARG_glcdtimers_driver_Process_TP_Up_Y+1 
	CALL        glcdtimers_driver_Process_TP_Up+0, 0
;glcdtimers_driver.c,571 :: 		}
L_Check_TP55:
L_Check_TP54:
;glcdtimers_driver.c,572 :: 		}
L_end_Check_TP:
	RETURN      0
; end of _Check_TP

_Start_TP:

;glcdtimers_driver.c,574 :: 		void Start_TP() {
;glcdtimers_driver.c,575 :: 		InitializeTouchPanel();
	CALL        glcdtimers_driver_InitializeTouchPanel+0, 0
;glcdtimers_driver.c,577 :: 		Glcd_Write_Text("CALIBRATION",32,3,1);
	MOVLW       ?lstr4_glcdtimers_driver+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr4_glcdtimers_driver+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       32
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;glcdtimers_driver.c,578 :: 		Delay_ms(1000);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L_Start_TP56:
	DECFSZ      R13, 1, 1
	BRA         L_Start_TP56
	DECFSZ      R12, 1, 1
	BRA         L_Start_TP56
	DECFSZ      R11, 1, 1
	BRA         L_Start_TP56
	NOP
;glcdtimers_driver.c,579 :: 		Glcd_Fill(0);                                            // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;glcdtimers_driver.c,580 :: 		Calibrate();
	CALL        _Calibrate+0, 0
;glcdtimers_driver.c,582 :: 		Glcd_Fill(0);                                            // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;glcdtimers_driver.c,583 :: 		InitializeObjects();
	CALL        glcdtimers_driver_InitializeObjects+0, 0
;glcdtimers_driver.c,584 :: 		DrawScreen(&Screen1);
	MOVLW       _Screen1+0
	MOVWF       FARG_DrawScreen_aScreen+0 
	MOVLW       hi_addr(_Screen1+0)
	MOVWF       FARG_DrawScreen_aScreen+1 
	CALL        _DrawScreen+0, 0
;glcdtimers_driver.c,585 :: 		}
L_end_Start_TP:
	RETURN      0
; end of _Start_TP

glcdtimers_driver____?ag:

L_end_glcdtimers_driver___?ag:
	RETURN      0
; end of glcdtimers_driver____?ag
