
_TimersInit:

;glcdtimers_events_code.c,42 :: 		void TimersInit(void)
;glcdtimers_events_code.c,44 :: 		T0CON=0xC6;
	MOVLW       198
	MOVWF       T0CON+0 
;glcdtimers_events_code.c,45 :: 		TMR0L = 61;
	MOVLW       61
	MOVWF       TMR0L+0 
;glcdtimers_events_code.c,46 :: 		INTCON = 0xA0;
	MOVLW       160
	MOVWF       INTCON+0 
;glcdtimers_events_code.c,47 :: 		INTCON.PEIE = 1;
	BSF         INTCON+0, 6 
;glcdtimers_events_code.c,48 :: 		}
L_end_TimersInit:
	RETURN      0
; end of _TimersInit

_Read_Time:

;glcdtimers_events_code.c,51 :: 		int Read_Time() {
;glcdtimers_events_code.c,53 :: 		switch(s){
	GOTO        L_Read_Time0
;glcdtimers_events_code.c,54 :: 		case 0:
L_Read_Time2:
;glcdtimers_events_code.c,55 :: 		I2C1_Start();               // Issue start signal
	CALL        _I2C1_Start+0, 0
;glcdtimers_events_code.c,56 :: 		s=1;
	MOVLW       1
	MOVWF       Read_Time_s_L0+0 
;glcdtimers_events_code.c,57 :: 		break;
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,58 :: 		case 1:
L_Read_Time3:
;glcdtimers_events_code.c,59 :: 		I2C1_Wr(0xA0);           // Address PCF8583, see PCF8583 datasheet
	MOVLW       160
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;glcdtimers_events_code.c,60 :: 		s=2;
	MOVLW       2
	MOVWF       Read_Time_s_L0+0 
;glcdtimers_events_code.c,61 :: 		break;
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,62 :: 		case 2:
L_Read_Time4:
;glcdtimers_events_code.c,63 :: 		I2C1_Wr(2);              // Start from address 2
	MOVLW       2
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;glcdtimers_events_code.c,64 :: 		s=3;
	MOVLW       3
	MOVWF       Read_Time_s_L0+0 
;glcdtimers_events_code.c,65 :: 		break;
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,66 :: 		case 3:
L_Read_Time5:
;glcdtimers_events_code.c,67 :: 		I2C1_Repeated_Start();   // Issue repeated start signal
	CALL        _I2C1_Repeated_Start+0, 0
;glcdtimers_events_code.c,68 :: 		s=4;
	MOVLW       4
	MOVWF       Read_Time_s_L0+0 
;glcdtimers_events_code.c,69 :: 		break;
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,70 :: 		case 4:
L_Read_Time6:
;glcdtimers_events_code.c,71 :: 		I2C1_Wr(0xA1);           // Address PCF8583 for reading R/W=1
	MOVLW       161
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;glcdtimers_events_code.c,72 :: 		s=5;
	MOVLW       5
	MOVWF       Read_Time_s_L0+0 
;glcdtimers_events_code.c,73 :: 		break;
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,74 :: 		case 5:
L_Read_Time7:
;glcdtimers_events_code.c,75 :: 		seconds = I2C1_Rd(1);     // Read seconds byte
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _seconds+0 
;glcdtimers_events_code.c,76 :: 		s=6;
	MOVLW       6
	MOVWF       Read_Time_s_L0+0 
;glcdtimers_events_code.c,77 :: 		break;
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,78 :: 		case 6:
L_Read_Time8:
;glcdtimers_events_code.c,79 :: 		minutes = I2C1_Rd(1);     // Read minutes byte
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _minutes+0 
;glcdtimers_events_code.c,80 :: 		s=7;
	MOVLW       7
	MOVWF       Read_Time_s_L0+0 
;glcdtimers_events_code.c,81 :: 		break;
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,82 :: 		case 7:
L_Read_Time9:
;glcdtimers_events_code.c,83 :: 		hours = I2C1_Rd(1);       // Read hours byte
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _hours+0 
;glcdtimers_events_code.c,84 :: 		s=8;
	MOVLW       8
	MOVWF       Read_Time_s_L0+0 
;glcdtimers_events_code.c,85 :: 		break;
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,86 :: 		case 8:
L_Read_Time10:
;glcdtimers_events_code.c,87 :: 		day = I2C1_Rd(1);         // Read year/day byte
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _day+0 
;glcdtimers_events_code.c,88 :: 		s=9;
	MOVLW       9
	MOVWF       Read_Time_s_L0+0 
;glcdtimers_events_code.c,89 :: 		break;
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,90 :: 		case 9:
L_Read_Time11:
;glcdtimers_events_code.c,91 :: 		month = I2C1_Rd(0);       // Read weekday/month byte
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _month+0 
;glcdtimers_events_code.c,92 :: 		s=10;
	MOVLW       10
	MOVWF       Read_Time_s_L0+0 
;glcdtimers_events_code.c,93 :: 		break;
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,94 :: 		case 10:
L_Read_Time12:
;glcdtimers_events_code.c,95 :: 		I2C1_Stop();                // Issue stop signal
	CALL        _I2C1_Stop+0, 0
;glcdtimers_events_code.c,96 :: 		s=0;
	CLRF        Read_Time_s_L0+0 
;glcdtimers_events_code.c,97 :: 		break;
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,98 :: 		default: break;
L_Read_Time13:
	GOTO        L_Read_Time1
;glcdtimers_events_code.c,99 :: 		}
L_Read_Time0:
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_Read_Time2
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_Read_Time3
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_Read_Time4
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_Read_Time5
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_Read_Time6
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_Read_Time7
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       6
	BTFSC       STATUS+0, 2 
	GOTO        L_Read_Time8
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       7
	BTFSC       STATUS+0, 2 
	GOTO        L_Read_Time9
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       8
	BTFSC       STATUS+0, 2 
	GOTO        L_Read_Time10
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       9
	BTFSC       STATUS+0, 2 
	GOTO        L_Read_Time11
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       10
	BTFSC       STATUS+0, 2 
	GOTO        L_Read_Time12
	GOTO        L_Read_Time13
L_Read_Time1:
;glcdtimers_events_code.c,100 :: 		if(s==10) return 1;
	MOVF        Read_Time_s_L0+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L_Read_Time14
	MOVLW       1
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	GOTO        L_end_Read_Time
L_Read_Time14:
;glcdtimers_events_code.c,101 :: 		else return 0;
	CLRF        R0 
	CLRF        R1 
;glcdtimers_events_code.c,102 :: 		}
L_end_Read_Time:
	RETURN      0
; end of _Read_Time

_LabelDisplayInt:

;glcdtimers_events_code.c,105 :: 		void LabelDisplayInt(int i, TLabel* lbl)
;glcdtimers_events_code.c,108 :: 		IntToStr(i, txt);
	MOVF        FARG_LabelDisplayInt_i+0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        FARG_LabelDisplayInt_i+1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       LabelDisplayInt_txt_L0+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(LabelDisplayInt_txt_L0+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;glcdtimers_events_code.c,109 :: 		strcpy(lbl->Caption, txt);
	MOVLW       6
	ADDWF       FARG_LabelDisplayInt_lbl+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_LabelDisplayInt_lbl+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_strcpy_to+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_strcpy_to+1 
	MOVLW       LabelDisplayInt_txt_L0+0
	MOVWF       FARG_strcpy_from+0 
	MOVLW       hi_addr(LabelDisplayInt_txt_L0+0)
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
;glcdtimers_events_code.c,110 :: 		DrawLabel(lbl);
	MOVF        FARG_LabelDisplayInt_lbl+0, 0 
	MOVWF       FARG_DrawLabel_Alabel+0 
	MOVF        FARG_LabelDisplayInt_lbl+1, 0 
	MOVWF       FARG_DrawLabel_Alabel+1 
	CALL        _DrawLabel+0, 0
;glcdtimers_events_code.c,111 :: 		}
L_end_LabelDisplayInt:
	RETURN      0
; end of _LabelDisplayInt

_LabelDisplayTxt:

;glcdtimers_events_code.c,113 :: 		void LabelDisplayTxt(char* txt, TLabel* lbl)
;glcdtimers_events_code.c,115 :: 		strcpy(lbl->Caption, txt);
	MOVLW       6
	ADDWF       FARG_LabelDisplayTxt_lbl+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_LabelDisplayTxt_lbl+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_strcpy_to+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_strcpy_to+1 
	MOVF        FARG_LabelDisplayTxt_txt+0, 0 
	MOVWF       FARG_strcpy_from+0 
	MOVF        FARG_LabelDisplayTxt_txt+1, 0 
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
;glcdtimers_events_code.c,116 :: 		DrawLabel(lbl);
	MOVF        FARG_LabelDisplayTxt_lbl+0, 0 
	MOVWF       FARG_DrawLabel_Alabel+0 
	MOVF        FARG_LabelDisplayTxt_lbl+1, 0 
	MOVWF       FARG_DrawLabel_Alabel+1 
	CALL        _DrawLabel+0, 0
;glcdtimers_events_code.c,117 :: 		}
L_end_LabelDisplayTxt:
	RETURN      0
; end of _LabelDisplayTxt

_Transform_Time:

;glcdtimers_events_code.c,119 :: 		void Transform_Time() {
;glcdtimers_events_code.c,120 :: 		seconds  =  ((seconds & 0xF0) >> 4)*10 + (seconds & 0x0F);  // Transform seconds
	MOVLW       240
	ANDWF       _seconds+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       _seconds+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       _seconds+0 
;glcdtimers_events_code.c,121 :: 		minutes  =  ((minutes & 0xF0) >> 4)*10 + (minutes & 0x0F);  // Transform months
	MOVLW       240
	ANDWF       _minutes+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       _minutes+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       _minutes+0 
;glcdtimers_events_code.c,122 :: 		hours    =  ((hours & 0xF0)  >> 4)*10  + (hours & 0x0F);    // Transform hours
	MOVLW       240
	ANDWF       _hours+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       _hours+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       _hours+0 
;glcdtimers_events_code.c,123 :: 		year     =   (day & 0xC0) >> 6;                             // Transform year
	MOVLW       192
	ANDWF       _day+0, 0 
	MOVWF       _year+0 
	MOVLW       6
	MOVWF       R0 
	MOVF        R0, 0 
L__Transform_Time61:
	BZ          L__Transform_Time62
	RRCF        _year+0, 1 
	BCF         _year+0, 7 
	ADDLW       255
	GOTO        L__Transform_Time61
L__Transform_Time62:
;glcdtimers_events_code.c,124 :: 		day      =  ((day & 0x30) >> 4)*10    + (day & 0x0F);       // Transform day
	MOVLW       48
	ANDWF       _day+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       _day+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       _day+0 
;glcdtimers_events_code.c,125 :: 		month    =  ((month & 0x10)  >> 4)*10 + (month & 0x0F);     // Transform month
	MOVLW       16
	ANDWF       _month+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       10
	MULWF       R0 
	MOVF        PRODL+0, 0 
	MOVWF       R1 
	MOVLW       15
	ANDWF       _month+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       R1, 0 
	MOVWF       _month+0 
;glcdtimers_events_code.c,126 :: 		}
L_end_Transform_Time:
	RETURN      0
; end of _Transform_Time

_Display_Time:

;glcdtimers_events_code.c,129 :: 		void Display_Time() {
;glcdtimers_events_code.c,131 :: 		txt[0] = (hours / 10)   + 48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _hours+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       Display_Time_txt_L0+0 
;glcdtimers_events_code.c,132 :: 		txt[1] = (hours % 10)   + 48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _hours+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       Display_Time_txt_L0+1 
;glcdtimers_events_code.c,133 :: 		txt[2] = ':';
	MOVLW       58
	MOVWF       Display_Time_txt_L0+2 
;glcdtimers_events_code.c,134 :: 		txt[3] = (minutes / 10) + 48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _minutes+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       Display_Time_txt_L0+3 
;glcdtimers_events_code.c,135 :: 		txt[4] = (minutes % 10) + 48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _minutes+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       Display_Time_txt_L0+4 
;glcdtimers_events_code.c,136 :: 		txt[5] = ':';
	MOVLW       58
	MOVWF       Display_Time_txt_L0+5 
;glcdtimers_events_code.c,137 :: 		txt[6] = (seconds / 10) + 48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _seconds+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       Display_Time_txt_L0+6 
;glcdtimers_events_code.c,138 :: 		txt[7] = (seconds % 10) + 48;
	MOVLW       10
	MOVWF       R4 
	MOVF        _seconds+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       Display_Time_txt_L0+7 
;glcdtimers_events_code.c,139 :: 		txt[8] = '\0';
	CLRF        Display_Time_txt_L0+8 
;glcdtimers_events_code.c,140 :: 		LabelDisplayTxt(txt, &Label6);
	MOVLW       Display_Time_txt_L0+0
	MOVWF       FARG_LabelDisplayTxt_txt+0 
	MOVLW       hi_addr(Display_Time_txt_L0+0)
	MOVWF       FARG_LabelDisplayTxt_txt+1 
	MOVLW       _Label6+0
	MOVWF       FARG_LabelDisplayTxt_lbl+0 
	MOVLW       hi_addr(_Label6+0)
	MOVWF       FARG_LabelDisplayTxt_lbl+1 
	CALL        _LabelDisplayTxt+0, 0
;glcdtimers_events_code.c,141 :: 		}
L_end_Display_Time:
	RETURN      0
; end of _Display_Time

_ADRequest:

;glcdtimers_events_code.c,143 :: 		void ADRequest(unsigned char ch){
;glcdtimers_events_code.c,144 :: 		ch<<=2;
	MOVF        FARG_ADRequest_ch+0, 0 
	MOVWF       R0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	MOVF        R0, 0 
	MOVWF       FARG_ADRequest_ch+0 
;glcdtimers_events_code.c,145 :: 		ADCON0=0x01;
	MOVLW       1
	MOVWF       ADCON0+0 
;glcdtimers_events_code.c,146 :: 		ADCON0 |= ch;
	MOVF        R0, 0 
	IORWF       ADCON0+0, 1 
;glcdtimers_events_code.c,147 :: 		ADCON0.GO = 1;
	BSF         ADCON0+0, 1 
;glcdtimers_events_code.c,148 :: 		}
L_end_ADRequest:
	RETURN      0
; end of _ADRequest

_RS232Init1:

;glcdtimers_events_code.c,150 :: 		void RS232Init1(void){
;glcdtimers_events_code.c,151 :: 		SPBRG1 = 15;
	MOVLW       15
	MOVWF       SPBRG1+0 
;glcdtimers_events_code.c,159 :: 		}
L_end_RS232Init1:
	RETURN      0
; end of _RS232Init1

_RS232Init2:

;glcdtimers_events_code.c,161 :: 		void RS232Init2(void){
;glcdtimers_events_code.c,162 :: 		SPBRG2 = 15;
	MOVLW       15
	MOVWF       SPBRG2+0 
;glcdtimers_events_code.c,164 :: 		RCSTA2.SPEN=1;
	BSF         RCSTA2+0, 7 
;glcdtimers_events_code.c,165 :: 		RCSTA2.CREN=1;
	BSF         RCSTA2+0, 4 
;glcdtimers_events_code.c,166 :: 		PIE3.RC2IE=1;
	BSF         PIE3+0, 5 
;glcdtimers_events_code.c,167 :: 		PIR3.RC2IF=0;
	BCF         PIR3+0, 5 
;glcdtimers_events_code.c,168 :: 		}
L_end_RS232Init2:
	RETURN      0
; end of _RS232Init2

_RS232_Send:

;glcdtimers_events_code.c,170 :: 		void RS232_Send(void* ev_arg){
;glcdtimers_events_code.c,171 :: 		TXSTA1.TXEN=1;
	BSF         TXSTA1+0, 5 
;glcdtimers_events_code.c,172 :: 		TXREG1=49;
	MOVLW       49
	MOVWF       TXREG1+0 
;glcdtimers_events_code.c,173 :: 		}
L_end_RS232_Send:
	RETURN      0
; end of _RS232_Send

_interrupt:

;glcdtimers_events_code.c,175 :: 		void interrupt (void)
;glcdtimers_events_code.c,178 :: 		if(INTCON.TMR0IF)
	BTFSS       INTCON+0, 2 
	GOTO        L_interrupt16
;glcdtimers_events_code.c,180 :: 		TimerForDispatcher();
	CALL        _TimerForDispatcher+0, 0
;glcdtimers_events_code.c,181 :: 		TMR0L = 61;
	MOVLW       61
	MOVWF       TMR0L+0 
;glcdtimers_events_code.c,182 :: 		INTCON.T0IF =0 ;
	BCF         INTCON+0, 2 
;glcdtimers_events_code.c,183 :: 		}
	GOTO        L_interrupt17
L_interrupt16:
;glcdtimers_events_code.c,184 :: 		else if(PIR3.RC2IF)
	BTFSS       PIR3+0, 5 
	GOTO        L_interrupt18
;glcdtimers_events_code.c,186 :: 		msg_rcv[i]=RCREG2;
	MOVLW       _msg_rcv+0
	ADDWF       interrupt_i_L0+0, 0 
	MOVWF       FSR1L 
	MOVLW       hi_addr(_msg_rcv+0)
	ADDWFC      interrupt_i_L0+1, 0 
	MOVWF       FSR1H 
	MOVF        RCREG2+0, 0 
	MOVWF       POSTINC1+0 
;glcdtimers_events_code.c,187 :: 		if(i<5){
	MOVLW       128
	XORWF       interrupt_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt70
	MOVLW       5
	SUBWF       interrupt_i_L0+0, 0 
L__interrupt70:
	BTFSC       STATUS+0, 0 
	GOTO        L_interrupt19
;glcdtimers_events_code.c,188 :: 		i++;
	INFSNZ      interrupt_i_L0+0, 1 
	INCF        interrupt_i_L0+1, 1 
;glcdtimers_events_code.c,189 :: 		}
	GOTO        L_interrupt20
L_interrupt19:
;glcdtimers_events_code.c,191 :: 		msg_rcv[6]='\0';
	CLRF        _msg_rcv+6 
;glcdtimers_events_code.c,192 :: 		i=0;
	CLRF        interrupt_i_L0+0 
	CLRF        interrupt_i_L0+1 
;glcdtimers_events_code.c,193 :: 		EventIPulse(evUART, 0,&msg_rcv);
	MOVF        _evUART+0, 0 
	MOVWF       FARG_EventIPulse_id+0 
	CLRF        FARG_EventIPulse_type+0 
	MOVLW       _msg_rcv+0
	MOVWF       FARG_EventIPulse_msg+0 
	MOVLW       hi_addr(_msg_rcv+0)
	MOVWF       FARG_EventIPulse_msg+1 
	CALL        _EventIPulse+0, 0
;glcdtimers_events_code.c,194 :: 		}
L_interrupt20:
;glcdtimers_events_code.c,195 :: 		PIR3.RC2IF=0;
	BCF         PIR3+0, 5 
;glcdtimers_events_code.c,196 :: 		}
L_interrupt18:
L_interrupt17:
;glcdtimers_events_code.c,208 :: 		}
L_end_interrupt:
L__interrupt69:
	RETFIE      1
; end of _interrupt

_T0_tick:

;glcdtimers_events_code.c,210 :: 		void T0_tick(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,213 :: 		LabelDisplayInt(i++, &Label1);
	MOVF        T0_tick_i_L0+0, 0 
	MOVWF       FARG_LabelDisplayInt_i+0 
	MOVF        T0_tick_i_L0+1, 0 
	MOVWF       FARG_LabelDisplayInt_i+1 
	MOVLW       _Label1+0
	MOVWF       FARG_LabelDisplayInt_lbl+0 
	MOVLW       hi_addr(_Label1+0)
	MOVWF       FARG_LabelDisplayInt_lbl+1 
	CALL        _LabelDisplayInt+0, 0
	INFSNZ      T0_tick_i_L0+0, 1 
	INCF        T0_tick_i_L0+1, 1 
;glcdtimers_events_code.c,214 :: 		PORTB.F0 = ~PORTB.F0;
	BTG         PORTB+0, 0 
;glcdtimers_events_code.c,215 :: 		}
L_end_T0_tick:
	RETURN      0
; end of _T0_tick

_T1_tick:

;glcdtimers_events_code.c,217 :: 		void T1_tick(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,220 :: 		LabelDisplayInt(i++, &Label2);
	MOVF        T1_tick_i_L0+0, 0 
	MOVWF       FARG_LabelDisplayInt_i+0 
	MOVF        T1_tick_i_L0+1, 0 
	MOVWF       FARG_LabelDisplayInt_i+1 
	MOVLW       _Label2+0
	MOVWF       FARG_LabelDisplayInt_lbl+0 
	MOVLW       hi_addr(_Label2+0)
	MOVWF       FARG_LabelDisplayInt_lbl+1 
	CALL        _LabelDisplayInt+0, 0
	INFSNZ      T1_tick_i_L0+0, 1 
	INCF        T1_tick_i_L0+1, 1 
;glcdtimers_events_code.c,221 :: 		PORTB.F1 = ~PORTB.F1;
	BTG         PORTB+0, 1 
;glcdtimers_events_code.c,222 :: 		EventPulse(evWalk,0,0);
	MOVF        _evWalk+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	CLRF        FARG_EventPulse_msg+0 
	CLRF        FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
;glcdtimers_events_code.c,223 :: 		}
L_end_T1_tick:
	RETURN      0
; end of _T1_tick

_T2_tick:

;glcdtimers_events_code.c,225 :: 		void T2_tick(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,227 :: 		LabelDisplayInt(idleCnt, &Label3);
	MOVF        _idleCnt+0, 0 
	MOVWF       FARG_LabelDisplayInt_i+0 
	MOVF        _idleCnt+1, 0 
	MOVWF       FARG_LabelDisplayInt_i+1 
	MOVLW       _Label3+0
	MOVWF       FARG_LabelDisplayInt_lbl+0 
	MOVLW       hi_addr(_Label3+0)
	MOVWF       FARG_LabelDisplayInt_lbl+1 
	CALL        _LabelDisplayInt+0, 0
;glcdtimers_events_code.c,228 :: 		PORTB.F2 = ~PORTB.F2;
	BTG         PORTB+0, 2 
;glcdtimers_events_code.c,229 :: 		idleCnt=0;
	CLRF        _idleCnt+0 
	CLRF        _idleCnt+1 
;glcdtimers_events_code.c,230 :: 		}
L_end_T2_tick:
	RETURN      0
; end of _T2_tick

_T3_tick:

;glcdtimers_events_code.c,232 :: 		void T3_tick(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,235 :: 		adc_rd2 = ADC_Get_Sample(4);
	MOVLW       4
	MOVWF       FARG_ADC_Get_Sample_channel+0 
	CALL        _ADC_Get_Sample+0, 0
	MOVF        R0, 0 
	MOVWF       _adc_rd2+0 
	MOVF        R1, 0 
	MOVWF       _adc_rd2+1 
;glcdtimers_events_code.c,236 :: 		adc_rd = ADC_Get_Sample(2);
	MOVLW       2
	MOVWF       FARG_ADC_Get_Sample_channel+0 
	CALL        _ADC_Get_Sample+0, 0
	MOVF        R0, 0 
	MOVWF       _adc_rd+0 
	MOVF        R1, 0 
	MOVWF       _adc_rd+1 
;glcdtimers_events_code.c,237 :: 		EventPulse(evADC,0,0);
	MOVF        _evADC+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	CLRF        FARG_EventPulse_msg+0 
	CLRF        FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
;glcdtimers_events_code.c,238 :: 		EventPulse(evRTC,0,0);
	MOVF        _evRTC+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	CLRF        FARG_EventPulse_msg+0 
	CLRF        FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
;glcdtimers_events_code.c,240 :: 		UART1_Write(ch++);
	MOVF        T3_tick_ch_L0+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
	INFSNZ      T3_tick_ch_L0+0, 1 
	INCF        T3_tick_ch_L0+1, 1 
;glcdtimers_events_code.c,241 :: 		if(ch==128) ch=32;
	MOVLW       0
	XORWF       T3_tick_ch_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__T3_tick75
	MOVLW       128
	XORWF       T3_tick_ch_L0+0, 0 
L__T3_tick75:
	BTFSS       STATUS+0, 2 
	GOTO        L_T3_tick21
	MOVLW       32
	MOVWF       T3_tick_ch_L0+0 
	MOVLW       0
	MOVWF       T3_tick_ch_L0+1 
L_T3_tick21:
;glcdtimers_events_code.c,244 :: 		}
L_end_T3_tick:
	RETURN      0
; end of _T3_tick

_T4_tick:

;glcdtimers_events_code.c,246 :: 		void T4_tick(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,248 :: 		EventPulse(evSnake,0,0);
	MOVF        _evSnake+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	CLRF        FARG_EventPulse_msg+0 
	CLRF        FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
;glcdtimers_events_code.c,249 :: 		EventPulse(evProgress, 0, &fr1);
	MOVF        _evProgress+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	MOVLW       _fr1+0
	MOVWF       FARG_EventPulse_msg+0 
	MOVLW       hi_addr(_fr1+0)
	MOVWF       FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
;glcdtimers_events_code.c,250 :: 		}
L_end_T4_tick:
	RETURN      0
; end of _T4_tick

_Idle:

;glcdtimers_events_code.c,252 :: 		void Idle(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,255 :: 		idleCnt++;
	INFSNZ      _idleCnt+0, 1 
	INCF        _idleCnt+1, 1 
;glcdtimers_events_code.c,268 :: 		}
L_end_Idle:
	RETURN      0
; end of _Idle

_EventUART:

;glcdtimers_events_code.c,270 :: 		void EventUART(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,272 :: 		LabelDisplayTxt(msg_rcv, &Label7);
	MOVLW       _msg_rcv+0
	MOVWF       FARG_LabelDisplayTxt_txt+0 
	MOVLW       hi_addr(_msg_rcv+0)
	MOVWF       FARG_LabelDisplayTxt_txt+1 
	MOVLW       _Label7+0
	MOVWF       FARG_LabelDisplayTxt_lbl+0 
	MOVLW       hi_addr(_Label7+0)
	MOVWF       FARG_LabelDisplayTxt_lbl+1 
	CALL        _LabelDisplayTxt+0, 0
;glcdtimers_events_code.c,273 :: 		}
L_end_EventUART:
	RETURN      0
; end of _EventUART

_EventCircle:

;glcdtimers_events_code.c,276 :: 		void EventCircle(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,281 :: 		c=(XCircle*)ev_arg;
	MOVF        FARG_EventCircle_ev_arg+0, 0 
	MOVWF       EventCircle_c_L0+0 
	MOVF        FARG_EventCircle_ev_arg+1, 0 
	MOVWF       EventCircle_c_L0+1 
;glcdtimers_events_code.c,282 :: 		xc=c->xc; yc=c->yc; r=c->r; i=c->i; s=c->s;
	MOVLW       1
	ADDWF       FARG_EventCircle_ev_arg+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_EventCircle_ev_arg+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       EventCircle_xc_L0+0 
	MOVLW       0
	MOVWF       EventCircle_xc_L0+1 
	MOVLW       0
	MOVWF       EventCircle_xc_L0+1 
	MOVLW       2
	ADDWF       FARG_EventCircle_ev_arg+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_EventCircle_ev_arg+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       EventCircle_yc_L0+0 
	MOVLW       0
	MOVWF       EventCircle_yc_L0+1 
	MOVLW       0
	MOVWF       EventCircle_yc_L0+1 
	MOVLW       3
	ADDWF       FARG_EventCircle_ev_arg+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_EventCircle_ev_arg+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       EventCircle_r_L0+0 
	MOVLW       0
	MOVWF       EventCircle_r_L0+1 
	MOVLW       0
	MOVWF       EventCircle_r_L0+1 
	MOVFF       FARG_EventCircle_ev_arg+0, FSR0L
	MOVFF       FARG_EventCircle_ev_arg+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       EventCircle_i_L0+0 
	MOVLW       0
	MOVWF       EventCircle_i_L0+1 
	MOVLW       0
	MOVWF       EventCircle_i_L0+1 
	MOVLW       4
	ADDWF       FARG_EventCircle_ev_arg+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_EventCircle_ev_arg+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       EventCircle_s_L0+0 
	MOVLW       0
	MOVWF       EventCircle_s_L0+1 
	MOVLW       0
	MOVWF       EventCircle_s_L0+1 
;glcdtimers_events_code.c,283 :: 		if(i<0.72*r){
	MOVF        EventCircle_r_L0+0, 0 
	MOVWF       R0 
	MOVF        EventCircle_r_L0+1, 0 
	MOVWF       R1 
	CALL        _Int2Double+0, 0
	MOVLW       236
	MOVWF       R4 
	MOVLW       81
	MOVWF       R5 
	MOVLW       56
	MOVWF       R6 
	MOVLW       126
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__EventCircle+0 
	MOVF        R1, 0 
	MOVWF       FLOC__EventCircle+1 
	MOVF        R2, 0 
	MOVWF       FLOC__EventCircle+2 
	MOVF        R3, 0 
	MOVWF       FLOC__EventCircle+3 
	MOVF        EventCircle_i_L0+0, 0 
	MOVWF       R0 
	MOVF        EventCircle_i_L0+1, 0 
	MOVWF       R1 
	CALL        _Int2Double+0, 0
	MOVF        FLOC__EventCircle+0, 0 
	MOVWF       R4 
	MOVF        FLOC__EventCircle+1, 0 
	MOVWF       R5 
	MOVF        FLOC__EventCircle+2, 0 
	MOVWF       R6 
	MOVF        FLOC__EventCircle+3, 0 
	MOVWF       R7 
	CALL        _Compare_Double+0, 0
	MOVLW       1
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_EventCircle22
;glcdtimers_events_code.c,284 :: 		mr=sqrt(r*r-i*i);
	MOVF        EventCircle_r_L0+0, 0 
	MOVWF       R0 
	MOVF        EventCircle_r_L0+1, 0 
	MOVWF       R1 
	MOVF        EventCircle_r_L0+0, 0 
	MOVWF       R4 
	MOVF        EventCircle_r_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__EventCircle+0 
	MOVF        R1, 0 
	MOVWF       FLOC__EventCircle+1 
	MOVF        EventCircle_i_L0+0, 0 
	MOVWF       R0 
	MOVF        EventCircle_i_L0+1, 0 
	MOVWF       R1 
	MOVF        EventCircle_i_L0+0, 0 
	MOVWF       R4 
	MOVF        EventCircle_i_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	SUBWF       FLOC__EventCircle+0, 0 
	MOVWF       R0 
	MOVF        R1, 0 
	SUBWFB      FLOC__EventCircle+1, 0 
	MOVWF       R1 
	CALL        _Int2Double+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_sqrt_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_sqrt_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_sqrt_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_sqrt_x+3 
	CALL        _sqrt+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__EventCircle+0 
	MOVF        R1, 0 
	MOVWF       FLOC__EventCircle+1 
	MOVF        R2, 0 
	MOVWF       FLOC__EventCircle+2 
	MOVF        R3, 0 
	MOVWF       FLOC__EventCircle+3 
	MOVF        FLOC__EventCircle+0, 0 
	MOVWF       R0 
	MOVF        FLOC__EventCircle+1, 0 
	MOVWF       R1 
	MOVF        FLOC__EventCircle+2, 0 
	MOVWF       R2 
	MOVF        FLOC__EventCircle+3, 0 
	MOVWF       R3 
	CALL        _Double2Int+0, 0
;glcdtimers_events_code.c,285 :: 		m=(int) mr;
	MOVF        R0, 0 
	MOVWF       EventCircle_m_L0+0 
	MOVF        R1, 0 
	MOVWF       EventCircle_m_L0+1 
;glcdtimers_events_code.c,286 :: 		if(fabs(m-mr)>0.5) m++;
	CALL        _Int2Double+0, 0
	MOVF        FLOC__EventCircle+0, 0 
	MOVWF       R4 
	MOVF        FLOC__EventCircle+1, 0 
	MOVWF       R5 
	MOVF        FLOC__EventCircle+2, 0 
	MOVWF       R6 
	MOVF        FLOC__EventCircle+3, 0 
	MOVWF       R7 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_fabs_d+0 
	MOVF        R1, 0 
	MOVWF       FARG_fabs_d+1 
	MOVF        R2, 0 
	MOVWF       FARG_fabs_d+2 
	MOVF        R3, 0 
	MOVWF       FARG_fabs_d+3 
	CALL        _fabs+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       0
	MOVWF       R2 
	MOVLW       126
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       1
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_EventCircle23
	INFSNZ      EventCircle_m_L0+0, 1 
	INCF        EventCircle_m_L0+1, 1 
L_EventCircle23:
;glcdtimers_events_code.c,288 :: 		Glcd_Dot(xc+m, yc+i, s);
	MOVF        EventCircle_m_L0+0, 0 
	ADDWF       EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_i_L0+0, 0 
	ADDWF       EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,289 :: 		Glcd_Dot(xc+m, yc-i, s);
	MOVF        EventCircle_m_L0+0, 0 
	ADDWF       EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_i_L0+0, 0 
	SUBWF       EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,290 :: 		Glcd_Dot(xc-m, yc+i, s);
	MOVF        EventCircle_m_L0+0, 0 
	SUBWF       EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_i_L0+0, 0 
	ADDWF       EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,291 :: 		Glcd_Dot(xc-m, yc-i, s);
	MOVF        EventCircle_m_L0+0, 0 
	SUBWF       EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_i_L0+0, 0 
	SUBWF       EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,293 :: 		Glcd_Dot(xc+i, yc+m, s);
	MOVF        EventCircle_i_L0+0, 0 
	ADDWF       EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_m_L0+0, 0 
	ADDWF       EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,294 :: 		Glcd_Dot(xc+i, yc-m, s);
	MOVF        EventCircle_i_L0+0, 0 
	ADDWF       EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_m_L0+0, 0 
	SUBWF       EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,295 :: 		Glcd_Dot(xc-i, yc+m, s);
	MOVF        EventCircle_i_L0+0, 0 
	SUBWF       EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_m_L0+0, 0 
	ADDWF       EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,296 :: 		Glcd_Dot(xc-i, yc-m, s);
	MOVF        EventCircle_i_L0+0, 0 
	SUBWF       EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_m_L0+0, 0 
	SUBWF       EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,298 :: 		(c->i)++;
	MOVFF       EventCircle_c_L0+0, FSR0L
	MOVFF       EventCircle_c_L0+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVFF       EventCircle_c_L0+0, FSR1L
	MOVFF       EventCircle_c_L0+1, FSR1H
	MOVF        R0, 0 
	ADDLW       1
	MOVWF       POSTINC1+0 
;glcdtimers_events_code.c,299 :: 		EventPulse(evCircle,0,ev_arg);
	MOVF        _evCircle+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	MOVF        FARG_EventCircle_ev_arg+0, 0 
	MOVWF       FARG_EventPulse_msg+0 
	MOVF        FARG_EventCircle_ev_arg+1, 0 
	MOVWF       FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
;glcdtimers_events_code.c,300 :: 		}
	GOTO        L_EventCircle24
L_EventCircle22:
;glcdtimers_events_code.c,302 :: 		Glcd_Dot(xc+r, yc, s);
	MOVF        EventCircle_r_L0+0, 0 
	ADDWF       EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,303 :: 		Glcd_Dot(xc-r, yc, s);
	MOVF        EventCircle_r_L0+0, 0 
	SUBWF       EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,304 :: 		Glcd_Dot(xc, yc+r, s);
	MOVF        EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_r_L0+0, 0 
	ADDWF       EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,305 :: 		Glcd_Dot(xc, yc-r, s);
	MOVF        EventCircle_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventCircle_r_L0+0, 0 
	SUBWF       EventCircle_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventCircle_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,307 :: 		if(s==1){
	MOVLW       0
	XORWF       EventCircle_s_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__EventCircle80
	MOVLW       1
	XORWF       EventCircle_s_L0+0, 0 
L__EventCircle80:
	BTFSS       STATUS+0, 2 
	GOTO        L_EventCircle25
;glcdtimers_events_code.c,308 :: 		c->s=0;
	MOVLW       4
	ADDWF       EventCircle_c_L0+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      EventCircle_c_L0+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;glcdtimers_events_code.c,309 :: 		}
	GOTO        L_EventCircle26
L_EventCircle25:
;glcdtimers_events_code.c,311 :: 		c->s=1;
	MOVLW       4
	ADDWF       EventCircle_c_L0+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      EventCircle_c_L0+1, 0 
	MOVWF       FSR1H 
	MOVLW       1
	MOVWF       POSTINC1+0 
;glcdtimers_events_code.c,313 :: 		}
L_EventCircle26:
;glcdtimers_events_code.c,314 :: 		c->i=1;
	MOVFF       EventCircle_c_L0+0, FSR1L
	MOVFF       EventCircle_c_L0+1, FSR1H
	MOVLW       1
	MOVWF       POSTINC1+0 
;glcdtimers_events_code.c,315 :: 		}
L_EventCircle24:
;glcdtimers_events_code.c,316 :: 		}
L_end_EventCircle:
	RETURN      0
; end of _EventCircle

_EventADC:

;glcdtimers_events_code.c,318 :: 		void EventADC(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,320 :: 		LabelDisplayInt(adc_rd, &Label5);
	MOVF        _adc_rd+0, 0 
	MOVWF       FARG_LabelDisplayInt_i+0 
	MOVF        _adc_rd+1, 0 
	MOVWF       FARG_LabelDisplayInt_i+1 
	MOVLW       _Label5+0
	MOVWF       FARG_LabelDisplayInt_lbl+0 
	MOVLW       hi_addr(_Label5+0)
	MOVWF       FARG_LabelDisplayInt_lbl+1 
	CALL        _LabelDisplayInt+0, 0
;glcdtimers_events_code.c,321 :: 		LabelDisplayInt(adc_rd2, &Label4);
	MOVF        _adc_rd2+0, 0 
	MOVWF       FARG_LabelDisplayInt_i+0 
	MOVF        _adc_rd2+1, 0 
	MOVWF       FARG_LabelDisplayInt_i+1 
	MOVLW       _Label4+0
	MOVWF       FARG_LabelDisplayInt_lbl+0 
	MOVLW       hi_addr(_Label4+0)
	MOVWF       FARG_LabelDisplayInt_lbl+1 
	CALL        _LabelDisplayInt+0, 0
;glcdtimers_events_code.c,322 :: 		}
L_end_EventADC:
	RETURN      0
; end of _EventADC

_EventRTC:

;glcdtimers_events_code.c,324 :: 		void EventRTC(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,327 :: 		switch(s){
	GOTO        L_EventRTC27
;glcdtimers_events_code.c,328 :: 		case 0: if(Read_Time()) s=1;
L_EventRTC29:
	CALL        _Read_Time+0, 0
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_EventRTC30
	MOVLW       1
	MOVWF       EventRTC_s_L0+0 
L_EventRTC30:
;glcdtimers_events_code.c,329 :: 		EventPulse(evRTC,0,0);
	MOVF        _evRTC+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	CLRF        FARG_EventPulse_msg+0 
	CLRF        FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
;glcdtimers_events_code.c,330 :: 		break;
	GOTO        L_EventRTC28
;glcdtimers_events_code.c,331 :: 		case 1: Transform_Time();
L_EventRTC31:
	CALL        _Transform_Time+0, 0
;glcdtimers_events_code.c,332 :: 		s=2;
	MOVLW       2
	MOVWF       EventRTC_s_L0+0 
;glcdtimers_events_code.c,333 :: 		EventPulse(evRTC,0,0);
	MOVF        _evRTC+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	CLRF        FARG_EventPulse_msg+0 
	CLRF        FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
;glcdtimers_events_code.c,334 :: 		break;
	GOTO        L_EventRTC28
;glcdtimers_events_code.c,335 :: 		case 2: Display_Time();
L_EventRTC32:
	CALL        _Display_Time+0, 0
;glcdtimers_events_code.c,336 :: 		s=0;
	CLRF        EventRTC_s_L0+0 
;glcdtimers_events_code.c,337 :: 		break;
	GOTO        L_EventRTC28
;glcdtimers_events_code.c,338 :: 		default: break;
L_EventRTC33:
	GOTO        L_EventRTC28
;glcdtimers_events_code.c,339 :: 		}
L_EventRTC27:
	MOVF        EventRTC_s_L0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_EventRTC29
	MOVF        EventRTC_s_L0+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_EventRTC31
	MOVF        EventRTC_s_L0+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_EventRTC32
	GOTO        L_EventRTC33
L_EventRTC28:
;glcdtimers_events_code.c,340 :: 		}
L_end_EventRTC:
	RETURN      0
; end of _EventRTC

_EventSinSnake:

;glcdtimers_events_code.c,342 :: 		void EventSinSnake(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,344 :: 		int     xc=79, yc=30, m;
	MOVLW       79
	MOVWF       EventSinSnake_xc_L0+0 
	MOVLW       0
	MOVWF       EventSinSnake_xc_L0+1 
	MOVLW       30
	MOVWF       EventSinSnake_yc_L0+0 
	MOVLW       0
	MOVWF       EventSinSnake_yc_L0+1 
;glcdtimers_events_code.c,347 :: 		if(x <= 41)
	MOVF        EventSinSnake_x_L0+0, 0 
	MOVWF       R4 
	MOVF        EventSinSnake_x_L0+1, 0 
	MOVWF       R5 
	MOVF        EventSinSnake_x_L0+2, 0 
	MOVWF       R6 
	MOVF        EventSinSnake_x_L0+3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       36
	MOVWF       R2 
	MOVLW       132
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       0
	BTFSC       STATUS+0, 0 
	MOVLW       1
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_EventSinSnake34
;glcdtimers_events_code.c,350 :: 		mr=7 * sin(-x/6);
	MOVLW       0
	XORWF       EventSinSnake_x_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	XORWF       EventSinSnake_x_L0+1, 0 
	MOVWF       R1 
	MOVLW       128
	XORWF       EventSinSnake_x_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	XORWF       EventSinSnake_x_L0+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       64
	MOVWF       R6 
	MOVLW       129
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_sin_f+0 
	MOVF        R1, 0 
	MOVWF       FARG_sin_f+1 
	MOVF        R2, 0 
	MOVWF       FARG_sin_f+2 
	MOVF        R3, 0 
	MOVWF       FARG_sin_f+3 
	CALL        _sin+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       96
	MOVWF       R6 
	MOVLW       129
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
;glcdtimers_events_code.c,351 :: 		m=(int) mr;
	CALL        _Double2Int+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__EventSinSnake+0 
	MOVF        R1, 0 
	MOVWF       FLOC__EventSinSnake+1 
	MOVF        EventSinSnake_x_L0+0, 0 
	MOVWF       R0 
	MOVF        EventSinSnake_x_L0+1, 0 
	MOVWF       R1 
	MOVF        EventSinSnake_x_L0+2, 0 
	MOVWF       R2 
	MOVF        EventSinSnake_x_L0+3, 0 
	MOVWF       R3 
	CALL        _Double2Int+0, 0
;glcdtimers_events_code.c,352 :: 		Glcd_Dot(xc+(int) x, yc+m , s);
	MOVF        R0, 0 
	ADDWF       EventSinSnake_xc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        FLOC__EventSinSnake+0, 0 
	ADDWF       EventSinSnake_yc_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVF        EventSinSnake_s_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,353 :: 		x=x+0.4;
	MOVF        EventSinSnake_x_L0+0, 0 
	MOVWF       R0 
	MOVF        EventSinSnake_x_L0+1, 0 
	MOVWF       R1 
	MOVF        EventSinSnake_x_L0+2, 0 
	MOVWF       R2 
	MOVF        EventSinSnake_x_L0+3, 0 
	MOVWF       R3 
	MOVLW       205
	MOVWF       R4 
	MOVLW       204
	MOVWF       R5 
	MOVLW       76
	MOVWF       R6 
	MOVLW       125
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       EventSinSnake_x_L0+0 
	MOVF        R1, 0 
	MOVWF       EventSinSnake_x_L0+1 
	MOVF        R2, 0 
	MOVWF       EventSinSnake_x_L0+2 
	MOVF        R3, 0 
	MOVWF       EventSinSnake_x_L0+3 
;glcdtimers_events_code.c,354 :: 		EventPulse(evSnake,0,0);
	MOVF        _evSnake+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	CLRF        FARG_EventPulse_msg+0 
	CLRF        FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
;glcdtimers_events_code.c,355 :: 		}
	GOTO        L_EventSinSnake35
L_EventSinSnake34:
;glcdtimers_events_code.c,357 :: 		x=0;
	CLRF        EventSinSnake_x_L0+0 
	CLRF        EventSinSnake_x_L0+1 
	CLRF        EventSinSnake_x_L0+2 
	CLRF        EventSinSnake_x_L0+3 
;glcdtimers_events_code.c,358 :: 		if(s==1) s=0;
	MOVLW       0
	XORWF       EventSinSnake_s_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__EventSinSnake84
	MOVLW       1
	XORWF       EventSinSnake_s_L0+0, 0 
L__EventSinSnake84:
	BTFSS       STATUS+0, 2 
	GOTO        L_EventSinSnake36
	CLRF        EventSinSnake_s_L0+0 
	CLRF        EventSinSnake_s_L0+1 
	GOTO        L_EventSinSnake37
L_EventSinSnake36:
;glcdtimers_events_code.c,359 :: 		else s=1;
	MOVLW       1
	MOVWF       EventSinSnake_s_L0+0 
	MOVLW       0
	MOVWF       EventSinSnake_s_L0+1 
L_EventSinSnake37:
;glcdtimers_events_code.c,360 :: 		}
L_EventSinSnake35:
;glcdtimers_events_code.c,361 :: 		}
L_end_EventSinSnake:
	RETURN      0
; end of _EventSinSnake

_EventProgressBar:

;glcdtimers_events_code.c,363 :: 		void EventProgressBar(unsigned char t, void* ev_arg){
;glcdtimers_events_code.c,366 :: 		fr=(XFillRec*) ev_arg;
	MOVF        FARG_EventProgressBar_ev_arg+0, 0 
	MOVWF       EventProgressBar_fr_L0+0 
	MOVF        FARG_EventProgressBar_ev_arg+1, 0 
	MOVWF       EventProgressBar_fr_L0+1 
;glcdtimers_events_code.c,367 :: 		x=fr->x;   y=fr->y;
	MOVFF       FARG_EventProgressBar_ev_arg+0, FSR0L
	MOVFF       FARG_EventProgressBar_ev_arg+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       EventProgressBar_x_L0+0 
	MOVLW       0
	MOVWF       EventProgressBar_x_L0+1 
	MOVLW       0
	MOVWF       EventProgressBar_x_L0+1 
	MOVLW       1
	ADDWF       FARG_EventProgressBar_ev_arg+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_EventProgressBar_ev_arg+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       EventProgressBar_y_L0+0 
	MOVLW       0
	MOVWF       EventProgressBar_y_L0+1 
	MOVLW       0
	MOVWF       EventProgressBar_y_L0+1 
;glcdtimers_events_code.c,368 :: 		a=fr->a;   b=fr->b;
	MOVLW       2
	ADDWF       FARG_EventProgressBar_ev_arg+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_EventProgressBar_ev_arg+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       EventProgressBar_a_L0+0 
	MOVLW       0
	MOVWF       EventProgressBar_a_L0+1 
	MOVLW       0
	MOVWF       EventProgressBar_a_L0+1 
	MOVLW       3
	ADDWF       FARG_EventProgressBar_ev_arg+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_EventProgressBar_ev_arg+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       EventProgressBar_b_L0+0 
	MOVLW       0
	MOVWF       EventProgressBar_b_L0+1 
	MOVLW       0
	MOVWF       EventProgressBar_b_L0+1 
;glcdtimers_events_code.c,369 :: 		i=fr->i;   j=fr->j;
	MOVLW       4
	ADDWF       FARG_EventProgressBar_ev_arg+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_EventProgressBar_ev_arg+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       EventProgressBar_i_L0+0 
	MOVLW       0
	MOVWF       EventProgressBar_i_L0+1 
	MOVLW       0
	MOVWF       EventProgressBar_i_L0+1 
	MOVLW       5
	ADDWF       FARG_EventProgressBar_ev_arg+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_EventProgressBar_ev_arg+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       EventProgressBar_j_L0+0 
	MOVLW       0
	MOVWF       EventProgressBar_j_L0+1 
	MOVLW       0
	MOVWF       EventProgressBar_j_L0+1 
;glcdtimers_events_code.c,371 :: 		if(i < a){
	MOVLW       128
	XORWF       EventProgressBar_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       EventProgressBar_a_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__EventProgressBar86
	MOVF        EventProgressBar_a_L0+0, 0 
	SUBWF       EventProgressBar_i_L0+0, 0 
L__EventProgressBar86:
	BTFSC       STATUS+0, 0 
	GOTO        L_EventProgressBar38
;glcdtimers_events_code.c,372 :: 		if(j < b){
	MOVLW       128
	XORWF       EventProgressBar_j_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       EventProgressBar_b_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__EventProgressBar87
	MOVF        EventProgressBar_b_L0+0, 0 
	SUBWF       EventProgressBar_j_L0+0, 0 
L__EventProgressBar87:
	BTFSC       STATUS+0, 0 
	GOTO        L_EventProgressBar39
;glcdtimers_events_code.c,373 :: 		Glcd_Dot(x+i,y+j,DOT_INVERT);
	MOVF        EventProgressBar_i_L0+0, 0 
	ADDWF       EventProgressBar_x_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        EventProgressBar_j_L0+0, 0 
	ADDWF       EventProgressBar_y_L0+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;glcdtimers_events_code.c,374 :: 		(fr->j)++;
	MOVLW       5
	ADDWF       EventProgressBar_fr_L0+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      EventProgressBar_fr_L0+1, 0 
	MOVWF       R2 
	MOVFF       R1, FSR0L
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVFF       R1, FSR1L
	MOVFF       R2, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;glcdtimers_events_code.c,375 :: 		}
	GOTO        L_EventProgressBar40
L_EventProgressBar39:
;glcdtimers_events_code.c,377 :: 		(fr->i)++;
	MOVLW       4
	ADDWF       EventProgressBar_fr_L0+0, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      EventProgressBar_fr_L0+1, 0 
	MOVWF       R2 
	MOVFF       R1, FSR0L
	MOVFF       R2, FSR0H
	MOVF        POSTINC0+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVFF       R1, FSR1L
	MOVFF       R2, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;glcdtimers_events_code.c,378 :: 		(fr->j)=0;
	MOVLW       5
	ADDWF       EventProgressBar_fr_L0+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      EventProgressBar_fr_L0+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;glcdtimers_events_code.c,379 :: 		}
L_EventProgressBar40:
;glcdtimers_events_code.c,380 :: 		EventPulse(evProgress, 0, ev_arg);
	MOVF        _evProgress+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	MOVF        FARG_EventProgressBar_ev_arg+0, 0 
	MOVWF       FARG_EventPulse_msg+0 
	MOVF        FARG_EventProgressBar_ev_arg+1, 0 
	MOVWF       FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
;glcdtimers_events_code.c,381 :: 		}
	GOTO        L_EventProgressBar41
L_EventProgressBar38:
;glcdtimers_events_code.c,383 :: 		(fr->i)=0; (fr->j)=0; (fr->s)=0;
	MOVLW       4
	ADDWF       EventProgressBar_fr_L0+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      EventProgressBar_fr_L0+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	MOVLW       5
	ADDWF       EventProgressBar_fr_L0+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      EventProgressBar_fr_L0+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	MOVLW       6
	ADDWF       EventProgressBar_fr_L0+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      EventProgressBar_fr_L0+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;glcdtimers_events_code.c,384 :: 		}
L_EventProgressBar41:
;glcdtimers_events_code.c,385 :: 		}
L_end_EventProgressBar:
	RETURN      0
; end of _EventProgressBar

_EventSinWalk:

;glcdtimers_events_code.c,387 :: 		void EventSinWalk(unsigned char t, void* ev_arg)
;glcdtimers_events_code.c,389 :: 		int     xc=79, yc=52;
	MOVLW       79
	MOVWF       EventSinWalk_xc_L0+0 
	MOVLW       0
	MOVWF       EventSinWalk_xc_L0+1 
	MOVLW       52
	MOVWF       EventSinWalk_yc_L0+0 
	MOVLW       0
	MOVWF       EventSinWalk_yc_L0+1 
;glcdtimers_events_code.c,392 :: 		if(x <= 37)
	MOVF        EventSinWalk_x_L0+0, 0 
	MOVWF       R4 
	MOVF        EventSinWalk_x_L0+1, 0 
	MOVWF       R5 
	MOVF        EventSinWalk_x_L0+2, 0 
	MOVWF       R6 
	MOVF        EventSinWalk_x_L0+3, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       20
	MOVWF       R2 
	MOVLW       132
	MOVWF       R3 
	CALL        _Compare_Double+0, 0
	MOVLW       0
	BTFSC       STATUS+0, 0 
	MOVLW       1
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_EventSinWalk42
;glcdtimers_events_code.c,394 :: 		if(s==1 ) {
	MOVLW       0
	XORWF       EventSinWalk_s_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__EventSinWalk89
	MOVLW       1
	XORWF       EventSinWalk_s_L0+0, 0 
L__EventSinWalk89:
	BTFSS       STATUS+0, 2 
	GOTO        L_EventSinWalk43
;glcdtimers_events_code.c,396 :: 		mr=7 * sin(-x/6);
	MOVLW       0
	XORWF       EventSinWalk_x_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	XORWF       EventSinWalk_x_L0+1, 0 
	MOVWF       R1 
	MOVLW       128
	XORWF       EventSinWalk_x_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	XORWF       EventSinWalk_x_L0+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       64
	MOVWF       R6 
	MOVLW       129
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_sin_f+0 
	MOVF        R1, 0 
	MOVWF       FARG_sin_f+1 
	MOVF        R2, 0 
	MOVWF       FARG_sin_f+2 
	MOVF        R3, 0 
	MOVWF       FARG_sin_f+3 
	CALL        _sin+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       96
	MOVWF       R6 
	MOVLW       129
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
;glcdtimers_events_code.c,397 :: 		m=(int) mr;
	CALL        _Double2Int+0, 0
	CALL        _Int2Double+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__EventSinWalk+0 
	MOVF        R1, 0 
	MOVWF       FLOC__EventSinWalk+1 
	MOVF        R2, 0 
	MOVWF       FLOC__EventSinWalk+2 
	MOVF        R3, 0 
	MOVWF       FLOC__EventSinWalk+3 
	MOVF        FLOC__EventSinWalk+0, 0 
	MOVWF       EventSinWalk_m_L0+0 
	MOVF        FLOC__EventSinWalk+1, 0 
	MOVWF       EventSinWalk_m_L0+1 
	MOVF        FLOC__EventSinWalk+2, 0 
	MOVWF       EventSinWalk_m_L0+2 
	MOVF        FLOC__EventSinWalk+3, 0 
	MOVWF       EventSinWalk_m_L0+3 
;glcdtimers_events_code.c,398 :: 		Glcd_Box(xc+(int) x, yc+m , xc+(int) x+3, yc+m+3, s);
	MOVF        EventSinWalk_x_L0+0, 0 
	MOVWF       R0 
	MOVF        EventSinWalk_x_L0+1, 0 
	MOVWF       R1 
	MOVF        EventSinWalk_x_L0+2, 0 
	MOVWF       R2 
	MOVF        EventSinWalk_x_L0+3, 0 
	MOVWF       R3 
	CALL        _Double2Int+0, 0
	MOVF        R0, 0 
	ADDWF       EventSinWalk_xc_L0+0, 0 
	MOVWF       FLOC__EventSinWalk+4 
	MOVF        FLOC__EventSinWalk+4, 0 
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVF        EventSinWalk_yc_L0+0, 0 
	MOVWF       R0 
	MOVF        EventSinWalk_yc_L0+1, 0 
	MOVWF       R1 
	CALL        _Int2Double+0, 0
	MOVF        FLOC__EventSinWalk+0, 0 
	MOVWF       R4 
	MOVF        FLOC__EventSinWalk+1, 0 
	MOVWF       R5 
	MOVF        FLOC__EventSinWalk+2, 0 
	MOVWF       R6 
	MOVF        FLOC__EventSinWalk+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__EventSinWalk+0 
	MOVF        R1, 0 
	MOVWF       FLOC__EventSinWalk+1 
	MOVF        R2, 0 
	MOVWF       FLOC__EventSinWalk+2 
	MOVF        R3, 0 
	MOVWF       FLOC__EventSinWalk+3 
	MOVF        FLOC__EventSinWalk+0, 0 
	MOVWF       R0 
	MOVF        FLOC__EventSinWalk+1, 0 
	MOVWF       R1 
	MOVF        FLOC__EventSinWalk+2, 0 
	MOVWF       R2 
	MOVF        FLOC__EventSinWalk+3, 0 
	MOVWF       R3 
	CALL        _Double2Byte+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       3
	ADDWF       FLOC__EventSinWalk+4, 0 
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVF        FLOC__EventSinWalk+0, 0 
	MOVWF       R0 
	MOVF        FLOC__EventSinWalk+1, 0 
	MOVWF       R1 
	MOVF        FLOC__EventSinWalk+2, 0 
	MOVWF       R2 
	MOVF        FLOC__EventSinWalk+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       64
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	CALL        _Double2Byte+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	MOVF        EventSinWalk_s_L0+0, 0 
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;glcdtimers_events_code.c,399 :: 		if(x==16 || x==22) EventPulse(evCircle, 0, &c1);
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	MOVF        EventSinWalk_x_L0+0, 0 
	MOVWF       R0 
	MOVF        EventSinWalk_x_L0+1, 0 
	MOVWF       R1 
	MOVF        EventSinWalk_x_L0+2, 0 
	MOVWF       R2 
	MOVF        EventSinWalk_x_L0+3, 0 
	MOVWF       R3 
	CALL        _Equals_Double+0, 0
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L__EventSinWalk55
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       48
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	MOVF        EventSinWalk_x_L0+0, 0 
	MOVWF       R0 
	MOVF        EventSinWalk_x_L0+1, 0 
	MOVWF       R1 
	MOVF        EventSinWalk_x_L0+2, 0 
	MOVWF       R2 
	MOVF        EventSinWalk_x_L0+3, 0 
	MOVWF       R3 
	CALL        _Equals_Double+0, 0
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L__EventSinWalk55
	GOTO        L_EventSinWalk46
L__EventSinWalk55:
	MOVF        _evCircle+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	MOVLW       _c1+0
	MOVWF       FARG_EventPulse_msg+0 
	MOVLW       hi_addr(_c1+0)
	MOVWF       FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
L_EventSinWalk46:
;glcdtimers_events_code.c,400 :: 		s=0;
	CLRF        EventSinWalk_s_L0+0 
	CLRF        EventSinWalk_s_L0+1 
;glcdtimers_events_code.c,401 :: 		}
	GOTO        L_EventSinWalk47
L_EventSinWalk43:
;glcdtimers_events_code.c,403 :: 		Glcd_Box(xc+(int) x, yc+m , xc+(int) x+3, yc+m+3, s);
	MOVF        EventSinWalk_x_L0+0, 0 
	MOVWF       R0 
	MOVF        EventSinWalk_x_L0+1, 0 
	MOVWF       R1 
	MOVF        EventSinWalk_x_L0+2, 0 
	MOVWF       R2 
	MOVF        EventSinWalk_x_L0+3, 0 
	MOVWF       R3 
	CALL        _Double2Int+0, 0
	MOVF        R0, 0 
	ADDWF       EventSinWalk_xc_L0+0, 0 
	MOVWF       FLOC__EventSinWalk+4 
	MOVF        FLOC__EventSinWalk+4, 0 
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVF        EventSinWalk_yc_L0+0, 0 
	MOVWF       R0 
	MOVF        EventSinWalk_yc_L0+1, 0 
	MOVWF       R1 
	CALL        _Int2Double+0, 0
	MOVF        EventSinWalk_m_L0+0, 0 
	MOVWF       R4 
	MOVF        EventSinWalk_m_L0+1, 0 
	MOVWF       R5 
	MOVF        EventSinWalk_m_L0+2, 0 
	MOVWF       R6 
	MOVF        EventSinWalk_m_L0+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__EventSinWalk+0 
	MOVF        R1, 0 
	MOVWF       FLOC__EventSinWalk+1 
	MOVF        R2, 0 
	MOVWF       FLOC__EventSinWalk+2 
	MOVF        R3, 0 
	MOVWF       FLOC__EventSinWalk+3 
	MOVF        FLOC__EventSinWalk+0, 0 
	MOVWF       R0 
	MOVF        FLOC__EventSinWalk+1, 0 
	MOVWF       R1 
	MOVF        FLOC__EventSinWalk+2, 0 
	MOVWF       R2 
	MOVF        FLOC__EventSinWalk+3, 0 
	MOVWF       R3 
	CALL        _Double2Byte+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       3
	ADDWF       FLOC__EventSinWalk+4, 0 
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVF        FLOC__EventSinWalk+0, 0 
	MOVWF       R0 
	MOVF        FLOC__EventSinWalk+1, 0 
	MOVWF       R1 
	MOVF        FLOC__EventSinWalk+2, 0 
	MOVWF       R2 
	MOVF        FLOC__EventSinWalk+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       64
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	CALL        _Double2Byte+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	MOVF        EventSinWalk_s_L0+0, 0 
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;glcdtimers_events_code.c,404 :: 		s=1;
	MOVLW       1
	MOVWF       EventSinWalk_s_L0+0 
	MOVLW       0
	MOVWF       EventSinWalk_s_L0+1 
;glcdtimers_events_code.c,405 :: 		x=x+1;
	MOVF        EventSinWalk_x_L0+0, 0 
	MOVWF       R0 
	MOVF        EventSinWalk_x_L0+1, 0 
	MOVWF       R1 
	MOVF        EventSinWalk_x_L0+2, 0 
	MOVWF       R2 
	MOVF        EventSinWalk_x_L0+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       127
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       EventSinWalk_x_L0+0 
	MOVF        R1, 0 
	MOVWF       EventSinWalk_x_L0+1 
	MOVF        R2, 0 
	MOVWF       EventSinWalk_x_L0+2 
	MOVF        R3, 0 
	MOVWF       EventSinWalk_x_L0+3 
;glcdtimers_events_code.c,406 :: 		}
L_EventSinWalk47:
;glcdtimers_events_code.c,407 :: 		}
	GOTO        L_EventSinWalk48
L_EventSinWalk42:
;glcdtimers_events_code.c,409 :: 		x=0;
	CLRF        EventSinWalk_x_L0+0 
	CLRF        EventSinWalk_x_L0+1 
	CLRF        EventSinWalk_x_L0+2 
	CLRF        EventSinWalk_x_L0+3 
;glcdtimers_events_code.c,410 :: 		}
L_EventSinWalk48:
;glcdtimers_events_code.c,411 :: 		}
L_end_EventSinWalk:
	RETURN      0
; end of _EventSinWalk

_SetRunning:

;glcdtimers_events_code.c,413 :: 		void SetRunning(char Value) {
;glcdtimers_events_code.c,414 :: 		if (Value == 0) {
	MOVF        FARG_SetRunning_Value+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_SetRunning49
;glcdtimers_events_code.c,415 :: 		running = 0;
	BCF         _running+0, BitPos(_running+0) 
;glcdtimers_events_code.c,416 :: 		strcpy(CaptionButton1_Caption, "START");
	MOVLW       _CaptionButton1_Caption+0
	MOVWF       FARG_strcpy_to+0 
	MOVLW       hi_addr(_CaptionButton1_Caption+0)
	MOVWF       FARG_strcpy_to+1 
	MOVLW       ?lstr1_glcdtimers_events_code+0
	MOVWF       FARG_strcpy_from+0 
	MOVLW       hi_addr(?lstr1_glcdtimers_events_code+0)
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
;glcdtimers_events_code.c,417 :: 		TimerStop(T0);
	CLRF        FARG_TimerStop_tid+0 
	CLRF        FARG_TimerStop_tid+1 
	CALL        _TimerStop+0, 0
;glcdtimers_events_code.c,418 :: 		TimerStop(T1);
	MOVLW       1
	MOVWF       FARG_TimerStop_tid+0 
	MOVLW       0
	MOVWF       FARG_TimerStop_tid+1 
	CALL        _TimerStop+0, 0
;glcdtimers_events_code.c,420 :: 		TimerStop(T3);
	MOVLW       3
	MOVWF       FARG_TimerStop_tid+0 
	MOVLW       0
	MOVWF       FARG_TimerStop_tid+1 
	CALL        _TimerStop+0, 0
;glcdtimers_events_code.c,421 :: 		TimerStop(T4);
	MOVLW       4
	MOVWF       FARG_TimerStop_tid+0 
	MOVLW       0
	MOVWF       FARG_TimerStop_tid+1 
	CALL        _TimerStop+0, 0
;glcdtimers_events_code.c,422 :: 		}
	GOTO        L_SetRunning50
L_SetRunning49:
;glcdtimers_events_code.c,424 :: 		running = 1;
	BSF         _running+0, BitPos(_running+0) 
;glcdtimers_events_code.c,425 :: 		strcpy(CaptionButton1_Caption, "STOP");
	MOVLW       _CaptionButton1_Caption+0
	MOVWF       FARG_strcpy_to+0 
	MOVLW       hi_addr(_CaptionButton1_Caption+0)
	MOVWF       FARG_strcpy_to+1 
	MOVLW       ?lstr2_glcdtimers_events_code+0
	MOVWF       FARG_strcpy_from+0 
	MOVLW       hi_addr(?lstr2_glcdtimers_events_code+0)
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
;glcdtimers_events_code.c,426 :: 		TimerStart(T0, 10);
	CLRF        FARG_TimerStart_tid+0 
	CLRF        FARG_TimerStart_tid+1 
	MOVLW       10
	MOVWF       FARG_TimerStart_ticks+0 
	MOVLW       0
	MOVWF       FARG_TimerStart_ticks+1 
	CALL        _TimerStart+0, 0
;glcdtimers_events_code.c,427 :: 		TimerStart(T1, 20);
	MOVLW       1
	MOVWF       FARG_TimerStart_tid+0 
	MOVLW       0
	MOVWF       FARG_TimerStart_tid+1 
	MOVLW       20
	MOVWF       FARG_TimerStart_ticks+0 
	MOVLW       0
	MOVWF       FARG_TimerStart_ticks+1 
	CALL        _TimerStart+0, 0
;glcdtimers_events_code.c,429 :: 		TimerStart(T3, 100);
	MOVLW       3
	MOVWF       FARG_TimerStart_tid+0 
	MOVLW       0
	MOVWF       FARG_TimerStart_tid+1 
	MOVLW       100
	MOVWF       FARG_TimerStart_ticks+0 
	MOVLW       0
	MOVWF       FARG_TimerStart_ticks+1 
	CALL        _TimerStart+0, 0
;glcdtimers_events_code.c,430 :: 		TimerStart(T4, 400);
	MOVLW       4
	MOVWF       FARG_TimerStart_tid+0 
	MOVLW       0
	MOVWF       FARG_TimerStart_tid+1 
	MOVLW       144
	MOVWF       FARG_TimerStart_ticks+0 
	MOVLW       1
	MOVWF       FARG_TimerStart_ticks+1 
	CALL        _TimerStart+0, 0
;glcdtimers_events_code.c,431 :: 		EventPulse(evSnake,0,0);
	MOVF        _evSnake+0, 0 
	MOVWF       FARG_EventPulse_id+0 
	CLRF        FARG_EventPulse_type+0 
	CLRF        FARG_EventPulse_msg+0 
	CLRF        FARG_EventPulse_msg+1 
	CALL        _EventPulse+0, 0
;glcdtimers_events_code.c,432 :: 		}
L_SetRunning50:
;glcdtimers_events_code.c,433 :: 		DrawCaptionButton(&CaptionButton1);
	MOVLW       _CaptionButton1+0
	MOVWF       FARG_DrawCaptionButton_Acaption_button+0 
	MOVLW       hi_addr(_CaptionButton1+0)
	MOVWF       FARG_DrawCaptionButton_Acaption_button+1 
	CALL        _DrawCaptionButton+0, 0
;glcdtimers_events_code.c,434 :: 		}
L_end_SetRunning:
	RETURN      0
; end of _SetRunning

_CaptionButton1Click:

;glcdtimers_events_code.c,438 :: 		void CaptionButton1Click() {
;glcdtimers_events_code.c,439 :: 		if (running == 1)
	BTFSS       _running+0, BitPos(_running+0) 
	GOTO        L_CaptionButton1Click51
;glcdtimers_events_code.c,440 :: 		SetRunning(0);
	CLRF        FARG_SetRunning_Value+0 
	CALL        _SetRunning+0, 0
	GOTO        L_CaptionButton1Click52
L_CaptionButton1Click51:
;glcdtimers_events_code.c,442 :: 		SetRunning(1);
	MOVLW       1
	MOVWF       FARG_SetRunning_Value+0 
	CALL        _SetRunning+0, 0
L_CaptionButton1Click52:
;glcdtimers_events_code.c,443 :: 		}
L_end_CaptionButton1Click:
	RETURN      0
; end of _CaptionButton1Click

_InitVar:

;glcdtimers_events_code.c,445 :: 		void InitVar(void)
;glcdtimers_events_code.c,447 :: 		c1.xc=100; c1.yc=52; c1.r=8; c1.s=1; c1.i=1;
	MOVLW       100
	MOVWF       _c1+1 
	MOVLW       52
	MOVWF       _c1+2 
	MOVLW       8
	MOVWF       _c1+3 
	MOVLW       1
	MOVWF       _c1+4 
	MOVLW       1
	MOVWF       _c1+0 
;glcdtimers_events_code.c,449 :: 		fr1.x=0; fr1.y=52; fr1.a=68; fr1.b=2; fr1.i=0; fr1.j=0; fr1.s=0;
	CLRF        _fr1+0 
	MOVLW       52
	MOVWF       _fr1+1 
	MOVLW       68
	MOVWF       _fr1+2 
	MOVLW       2
	MOVWF       _fr1+3 
	CLRF        _fr1+4 
	CLRF        _fr1+5 
	CLRF        _fr1+6 
;glcdtimers_events_code.c,450 :: 		Glcd_Rectangle(78,20,120,40,1);
	MOVLW       78
	MOVWF       FARG_Glcd_Rectangle_x_upper_left+0 
	MOVLW       20
	MOVWF       FARG_Glcd_Rectangle_y_upper_left+0 
	MOVLW       120
	MOVWF       FARG_Glcd_Rectangle_x_bottom_right+0 
	MOVLW       40
	MOVWF       FARG_Glcd_Rectangle_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Rectangle_color+0 
	CALL        _Glcd_Rectangle+0, 0
;glcdtimers_events_code.c,451 :: 		Glcd_Rectangle(78,42,120,62,1);
	MOVLW       78
	MOVWF       FARG_Glcd_Rectangle_x_upper_left+0 
	MOVLW       42
	MOVWF       FARG_Glcd_Rectangle_y_upper_left+0 
	MOVLW       120
	MOVWF       FARG_Glcd_Rectangle_x_bottom_right+0 
	MOVLW       62
	MOVWF       FARG_Glcd_Rectangle_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Rectangle_color+0 
	CALL        _Glcd_Rectangle+0, 0
;glcdtimers_events_code.c,452 :: 		running = 0;
	BCF         _running+0, BitPos(_running+0) 
;glcdtimers_events_code.c,453 :: 		}
L_end_InitVar:
	RETURN      0
; end of _InitVar

_Start_EDT:

;glcdtimers_events_code.c,455 :: 		void Start_EDT(void)
;glcdtimers_events_code.c,457 :: 		TRISB = 0x00;
	CLRF        TRISB+0 
;glcdtimers_events_code.c,458 :: 		PORTB = 0x00;
	CLRF        PORTB+0 
;glcdtimers_events_code.c,463 :: 		UART1_Init(9600);
	MOVLW       64
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;glcdtimers_events_code.c,464 :: 		Delay_ms(200);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_Start_EDT53:
	DECFSZ      R13, 1, 1
	BRA         L_Start_EDT53
	DECFSZ      R12, 1, 1
	BRA         L_Start_EDT53
	DECFSZ      R11, 1, 1
	BRA         L_Start_EDT53
	NOP
	NOP
;glcdtimers_events_code.c,467 :: 		RS232Init2();
	CALL        _RS232Init2+0, 0
;glcdtimers_events_code.c,468 :: 		Delay_ms(200);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_Start_EDT54:
	DECFSZ      R13, 1, 1
	BRA         L_Start_EDT54
	DECFSZ      R12, 1, 1
	BRA         L_Start_EDT54
	DECFSZ      R11, 1, 1
	BRA         L_Start_EDT54
	NOP
	NOP
;glcdtimers_events_code.c,470 :: 		EventsInit();
	CALL        _EventsInit+0, 0
;glcdtimers_events_code.c,471 :: 		TimersInit();
	CALL        _TimersInit+0, 0
;glcdtimers_events_code.c,472 :: 		TimerCreate(T0, T0_tick);
	CLRF        FARG_TimerCreate_tid+0 
	CLRF        FARG_TimerCreate_tid+1 
	MOVLW       _T0_tick+0
	MOVWF       FARG_TimerCreate_event_func+0 
	MOVLW       hi_addr(_T0_tick+0)
	MOVWF       FARG_TimerCreate_event_func+1 
	MOVLW       FARG_T0_tick_t+0
	MOVWF       FARG_TimerCreate_event_func+2 
	MOVLW       hi_addr(FARG_T0_tick_t+0)
	MOVWF       FARG_TimerCreate_event_func+3 
	CALL        _TimerCreate+0, 0
;glcdtimers_events_code.c,473 :: 		TimerCreate(T1, T1_tick);
	MOVLW       1
	MOVWF       FARG_TimerCreate_tid+0 
	MOVLW       0
	MOVWF       FARG_TimerCreate_tid+1 
	MOVLW       _T1_tick+0
	MOVWF       FARG_TimerCreate_event_func+0 
	MOVLW       hi_addr(_T1_tick+0)
	MOVWF       FARG_TimerCreate_event_func+1 
	MOVLW       FARG_T1_tick_t+0
	MOVWF       FARG_TimerCreate_event_func+2 
	MOVLW       hi_addr(FARG_T1_tick_t+0)
	MOVWF       FARG_TimerCreate_event_func+3 
	CALL        _TimerCreate+0, 0
;glcdtimers_events_code.c,474 :: 		TimerCreate(T2, T2_tick);
	MOVLW       2
	MOVWF       FARG_TimerCreate_tid+0 
	MOVLW       0
	MOVWF       FARG_TimerCreate_tid+1 
	MOVLW       _T2_tick+0
	MOVWF       FARG_TimerCreate_event_func+0 
	MOVLW       hi_addr(_T2_tick+0)
	MOVWF       FARG_TimerCreate_event_func+1 
	MOVLW       FARG_T2_tick_t+0
	MOVWF       FARG_TimerCreate_event_func+2 
	MOVLW       hi_addr(FARG_T2_tick_t+0)
	MOVWF       FARG_TimerCreate_event_func+3 
	CALL        _TimerCreate+0, 0
;glcdtimers_events_code.c,475 :: 		TimerCreate(T3, T3_tick);
	MOVLW       3
	MOVWF       FARG_TimerCreate_tid+0 
	MOVLW       0
	MOVWF       FARG_TimerCreate_tid+1 
	MOVLW       _T3_tick+0
	MOVWF       FARG_TimerCreate_event_func+0 
	MOVLW       hi_addr(_T3_tick+0)
	MOVWF       FARG_TimerCreate_event_func+1 
	MOVLW       FARG_T3_tick_t+0
	MOVWF       FARG_TimerCreate_event_func+2 
	MOVLW       hi_addr(FARG_T3_tick_t+0)
	MOVWF       FARG_TimerCreate_event_func+3 
	CALL        _TimerCreate+0, 0
;glcdtimers_events_code.c,476 :: 		TimerCreate(T4, T4_tick);
	MOVLW       4
	MOVWF       FARG_TimerCreate_tid+0 
	MOVLW       0
	MOVWF       FARG_TimerCreate_tid+1 
	MOVLW       _T4_tick+0
	MOVWF       FARG_TimerCreate_event_func+0 
	MOVLW       hi_addr(_T4_tick+0)
	MOVWF       FARG_TimerCreate_event_func+1 
	MOVLW       FARG_T4_tick_t+0
	MOVWF       FARG_TimerCreate_event_func+2 
	MOVLW       hi_addr(FARG_T4_tick_t+0)
	MOVWF       FARG_TimerCreate_event_func+3 
	CALL        _TimerCreate+0, 0
;glcdtimers_events_code.c,478 :: 		evUART =     EventCreate(EventUART, 0, 0);
	MOVLW       _EventUART+0
	MOVWF       FARG_EventCreate_event_func+0 
	MOVLW       hi_addr(_EventUART+0)
	MOVWF       FARG_EventCreate_event_func+1 
	MOVLW       FARG_EventUART_t+0
	MOVWF       FARG_EventCreate_event_func+2 
	MOVLW       hi_addr(FARG_EventUART_t+0)
	MOVWF       FARG_EventCreate_event_func+3 
	CLRF        FARG_EventCreate_p+0 
	CLRF        FARG_EventCreate_p+1 
	CLRF        FARG_EventCreate_s+0 
	CALL        _EventCreate+0, 0
	MOVF        R0, 0 
	MOVWF       _evUART+0 
	MOVF        R1, 0 
	MOVWF       _evUART+1 
;glcdtimers_events_code.c,479 :: 		evCircle =   EventCreate(EventCircle, 0, 0);
	MOVLW       _EventCircle+0
	MOVWF       FARG_EventCreate_event_func+0 
	MOVLW       hi_addr(_EventCircle+0)
	MOVWF       FARG_EventCreate_event_func+1 
	MOVLW       FARG_EventCircle_t+0
	MOVWF       FARG_EventCreate_event_func+2 
	MOVLW       hi_addr(FARG_EventCircle_t+0)
	MOVWF       FARG_EventCreate_event_func+3 
	CLRF        FARG_EventCreate_p+0 
	CLRF        FARG_EventCreate_p+1 
	CLRF        FARG_EventCreate_s+0 
	CALL        _EventCreate+0, 0
	MOVF        R0, 0 
	MOVWF       _evCircle+0 
	MOVF        R1, 0 
	MOVWF       _evCircle+1 
;glcdtimers_events_code.c,480 :: 		evADC =      EventCreate(EventADC, 0, 0);
	MOVLW       _EventADC+0
	MOVWF       FARG_EventCreate_event_func+0 
	MOVLW       hi_addr(_EventADC+0)
	MOVWF       FARG_EventCreate_event_func+1 
	MOVLW       FARG_EventADC_t+0
	MOVWF       FARG_EventCreate_event_func+2 
	MOVLW       hi_addr(FARG_EventADC_t+0)
	MOVWF       FARG_EventCreate_event_func+3 
	CLRF        FARG_EventCreate_p+0 
	CLRF        FARG_EventCreate_p+1 
	CLRF        FARG_EventCreate_s+0 
	CALL        _EventCreate+0, 0
	MOVF        R0, 0 
	MOVWF       _evADC+0 
	MOVF        R1, 0 
	MOVWF       _evADC+1 
;glcdtimers_events_code.c,481 :: 		evRTC =      EventCreate(EventRTC, 0, 0);
	MOVLW       _EventRTC+0
	MOVWF       FARG_EventCreate_event_func+0 
	MOVLW       hi_addr(_EventRTC+0)
	MOVWF       FARG_EventCreate_event_func+1 
	MOVLW       FARG_EventRTC_t+0
	MOVWF       FARG_EventCreate_event_func+2 
	MOVLW       hi_addr(FARG_EventRTC_t+0)
	MOVWF       FARG_EventCreate_event_func+3 
	CLRF        FARG_EventCreate_p+0 
	CLRF        FARG_EventCreate_p+1 
	CLRF        FARG_EventCreate_s+0 
	CALL        _EventCreate+0, 0
	MOVF        R0, 0 
	MOVWF       _evRTC+0 
	MOVF        R1, 0 
	MOVWF       _evRTC+1 
;glcdtimers_events_code.c,482 :: 		evSnake =    EventCreate(EventSinSnake, 0, 0);
	MOVLW       _EventSinSnake+0
	MOVWF       FARG_EventCreate_event_func+0 
	MOVLW       hi_addr(_EventSinSnake+0)
	MOVWF       FARG_EventCreate_event_func+1 
	MOVLW       FARG_EventSinSnake_t+0
	MOVWF       FARG_EventCreate_event_func+2 
	MOVLW       hi_addr(FARG_EventSinSnake_t+0)
	MOVWF       FARG_EventCreate_event_func+3 
	CLRF        FARG_EventCreate_p+0 
	CLRF        FARG_EventCreate_p+1 
	CLRF        FARG_EventCreate_s+0 
	CALL        _EventCreate+0, 0
	MOVF        R0, 0 
	MOVWF       _evSnake+0 
	MOVF        R1, 0 
	MOVWF       _evSnake+1 
;glcdtimers_events_code.c,483 :: 		evProgress = EventCreate(EventProgressBar, 0, 0);
	MOVLW       _EventProgressBar+0
	MOVWF       FARG_EventCreate_event_func+0 
	MOVLW       hi_addr(_EventProgressBar+0)
	MOVWF       FARG_EventCreate_event_func+1 
	MOVLW       FARG_EventProgressBar_t+0
	MOVWF       FARG_EventCreate_event_func+2 
	MOVLW       hi_addr(FARG_EventProgressBar_t+0)
	MOVWF       FARG_EventCreate_event_func+3 
	CLRF        FARG_EventCreate_p+0 
	CLRF        FARG_EventCreate_p+1 
	CLRF        FARG_EventCreate_s+0 
	CALL        _EventCreate+0, 0
	MOVF        R0, 0 
	MOVWF       _evProgress+0 
	MOVF        R1, 0 
	MOVWF       _evProgress+1 
;glcdtimers_events_code.c,484 :: 		evWalk =     EventCreate(EventSinWalk, 0, 0);
	MOVLW       _EventSinWalk+0
	MOVWF       FARG_EventCreate_event_func+0 
	MOVLW       hi_addr(_EventSinWalk+0)
	MOVWF       FARG_EventCreate_event_func+1 
	MOVLW       FARG_EventSinWalk_t+0
	MOVWF       FARG_EventCreate_event_func+2 
	MOVLW       hi_addr(FARG_EventSinWalk_t+0)
	MOVWF       FARG_EventCreate_event_func+3 
	CLRF        FARG_EventCreate_p+0 
	CLRF        FARG_EventCreate_p+1 
	CLRF        FARG_EventCreate_s+0 
	CALL        _EventCreate+0, 0
	MOVF        R0, 0 
	MOVWF       _evWalk+0 
	MOVF        R1, 0 
	MOVWF       _evWalk+1 
;glcdtimers_events_code.c,486 :: 		InitVar();
	CALL        _InitVar+0, 0
;glcdtimers_events_code.c,487 :: 		I2C1_Init(100000);
	MOVLW       25
	MOVWF       SSPADD+0 
	CALL        _I2C1_Init+0, 0
;glcdtimers_events_code.c,488 :: 		IdleSet(Idle);
	MOVLW       _Idle+0
	MOVWF       FARG_IdleSet_pfIdleFunc+0 
	MOVLW       hi_addr(_Idle+0)
	MOVWF       FARG_IdleSet_pfIdleFunc+1 
	MOVLW       FARG_Idle_t+0
	MOVWF       FARG_IdleSet_pfIdleFunc+2 
	MOVLW       hi_addr(FARG_Idle_t+0)
	MOVWF       FARG_IdleSet_pfIdleFunc+3 
	CALL        _IdleSet+0, 0
;glcdtimers_events_code.c,489 :: 		TimerStart(T2, 100);
	MOVLW       2
	MOVWF       FARG_TimerStart_tid+0 
	MOVLW       0
	MOVWF       FARG_TimerStart_tid+1 
	MOVLW       100
	MOVWF       FARG_TimerStart_ticks+0 
	MOVLW       0
	MOVWF       FARG_TimerStart_ticks+1 
	CALL        _TimerStart+0, 0
;glcdtimers_events_code.c,490 :: 		}
L_end_Start_EDT:
	RETURN      0
; end of _Start_EDT
