#line 1 "F:/Razvoj/pic/glcd-timers-2/glcdtimers_main.c"
#line 1 "f:/razvoj/pic/glcd-timers-2/glcdtimers_objects.h"
enum GlcdColor {_clClear, _clDraw, _clInvert};

typedef struct Screen TScreen;

typedef struct Label {
 TScreen *OwnerScreen;
 char Left;
 char Top;
 char Width;
 char Height;
 char *Caption;
 const char *FontName;
 char FontWidth;
 char FontHeight;
 char FontOffset;
 char FontColor;
 char Visible;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct CaptionButton {
 TScreen *OwnerScreen;
 char Left;
 char Top;
 char Width;
 char Height;
 char BorderWidth;
 char *Caption;
 const char *FontName;
 char FontWidth;
 char FontHeight;
 char FontOffset;
 char FontColor;
 char Visible;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCaptionButton;

struct Screen {
 unsigned int LabelsCount;
 TLabel **Labels;
 unsigned int CaptionButtonsCount;
 TCaptionButton **CaptionButtons;
};

extern TScreen Screen1;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel Label5;
extern TLabel Label6;
extern TLabel Label7;
extern TLabel Label8;
extern TLabel Label9;
extern TLabel Label10;
extern TLabel Label11;
extern TLabel Label12;
extern TLabel Label13;

extern TCaptionButton CaptionButton1;




void CaptionButton1Click();




extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Label5_Caption[];
extern char Label6_Caption[];
extern char Label7_Caption[];
extern char Label8_Caption[];
extern char Label9_Caption[];
extern char Label10_Caption[];
extern char Label11_Caption[];
extern char Label12_Caption[];
extern char Label13_Caption[];

extern char CaptionButton1_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawLabel(TLabel *Alabel);
void DrawCaptionButton(TCaptionButton *Acaption_button);
void Check_TP();
void Start_TP();
#line 1 "f:/razvoj/pic/glcd-timers-2/edt.h"
typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int32_t;
typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long uint32_t;










typedef struct xcircle{
 uint8_t i,xc,yc,r,s;
} XCircle;

typedef struct xfillrec{
 uint8_t x,y,a,b,i,j,s;
} XFillRec;

typedef void (*EventTypeFunc)(uint8_t t, void* evp);

int16_t EventCreate(EventTypeFunc event_func, void* p, uint8_t s);
int16_t EventIPulse(uint8_t id, uint8_t type, void *msg);
int16_t EventPulse(uint8_t id, uint8_t type, void *msg);
void EventPublisherInit(int16_t msg_type, void *buff, uint8_t size);
void EventSubscribe(int16_t id, uint8_t type);
int16_t EventPublish(uint8_t type, void *msg);
int16_t EventIPublish(uint8_t type, void *msg);

void IdleSet(EventTypeFunc pfIdleFunc);

int16_t TimerCreate(int16_t tid, EventTypeFunc event_func);
int16_t TimerStart(int16_t tid,uint16_t ticks);
int16_t TimerStop(int16_t tid);
int16_t TimerNewValue(int16_t tid,uint16_t ticks);

void TimerForDispatcher(void);

void EventsInit(void);
void EventDispatcher(void);
void Check_EDT(void);
#line 4 "F:/Razvoj/pic/glcd-timers-2/glcdtimers_main.c"
void Start_EDT(void);

void main() {
 Start_TP();
 Start_EDT();
 while (1) {
 Check_TP();
 Check_EDT();
 }

}
