enum GlcdColor {_clClear, _clDraw, _clInvert};

typedef struct Screen TScreen;

typedef struct  Label {
  TScreen       *OwnerScreen;
  char          Left;
  char          Top;
  char          Width;
  char          Height;
  char          *Caption;
  const char    *FontName;
  char          FontWidth;
  char          FontHeight;
  char          FontOffset;
  char          FontColor;
  char          Visible;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TLabel;

typedef struct  CaptionButton {
  TScreen       *OwnerScreen;
  char          Left;
  char          Top;
  char          Width;
  char          Height;
  char          BorderWidth;
  char          *Caption;
  const char    *FontName;
  char          FontWidth;
  char          FontHeight;
  char          FontOffset;
  char          FontColor;
  char          Visible;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TCaptionButton;

struct Screen {
  unsigned int           LabelsCount;
  TLabel                 **Labels;
  unsigned int           CaptionButtonsCount;
  TCaptionButton         **CaptionButtons;
};

extern   TScreen                Screen1;
extern   TLabel                 Label1;
extern   TLabel                 Label2;
extern   TLabel                 Label3;
extern   TLabel                 Label4;
extern   TLabel                 Label5;
extern   TLabel                 Label6;
extern   TLabel                 Label7;
extern   TLabel                 Label8;
extern   TLabel                 Label9;
extern   TLabel                 Label10;
extern   TLabel                 Label11;
extern   TLabel                 Label12;
extern   TLabel                 Label13;

extern   TCaptionButton         CaptionButton1;


/////////////////////////
// Events Code Declarations
void CaptionButton1Click();
/////////////////////////

/////////////////////////////////
// Caption variables Declarations
extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Label5_Caption[];
extern char Label6_Caption[];
extern char Label7_Caption[];
extern char Label8_Caption[];
extern char Label9_Caption[];
extern char Label10_Caption[];
extern char Label11_Caption[];
extern char Label12_Caption[];
extern char Label13_Caption[];

extern char CaptionButton1_Caption[];
/////////////////////////////////

void DrawScreen(TScreen *aScreen);
void DrawLabel(TLabel *Alabel);
void DrawCaptionButton(TCaptionButton *Acaption_button);
void Check_TP();
void Start_TP();